import type { ChatResponse, ChatContextDetails } from './types';
import { TranslatableError } from '../../translation/translatable-error';
/**
 * @internal
 */
export declare const useGetDataTopics: () => {
    data: import("./types").ChatContext[] | undefined;
    isLoading: boolean;
    fetchStatus: import("@tanstack/react-query").FetchStatus;
};
/**
 * @internal
 */
export declare const useGetAllChats: () => {
    data: import("./types").ChatWithoutHistory[];
    isLoading: boolean;
};
/**
 * @internal
 */
export declare const useMaybeCreateChat: (contextId: string | undefined, shouldCreate: boolean, contextDetails?: ChatContextDetails) => import("@tanstack/react-query").UseMutationResult<import("./types").Chat | undefined, unknown, void, unknown>;
export declare const useSendChatMessage: (chatId: string | undefined, enableFollowupQuestions?: boolean) => {
    mutate: import("@tanstack/react-query").UseMutateFunction<ChatResponse | undefined, TranslatableError, string, void>;
    isLoading: boolean;
};
