import type { NlqResponseData, ChatContextDetails } from './api/types';
/**
 * Parameters for the useFinalNlqResponse hook.
 *
 * @internal
 */
export interface UseFinalNlqResponseParams {
    /** The title of the data model or perspective */
    contextTitle: string;
    /** optional chat context details */
    contextDetails?: ChatContextDetails;
}
/**
 * React hook that returns the final NLQ response for the chat that corresponds
 * to the given data model or perspective.
 *
 * @param params - Parameters for the hook
 * @internal
 */
export declare const useFinalNlqResponse: ({ contextTitle, contextDetails, }: UseFinalNlqResponseParams) => NlqResponseData | null;
