import type { NlqResponseData, ChatContextDetails } from './api/types';
/**
 * Parameters for the useLastNlqResponse hook.
 *
 * @internal
 */
export interface UseLastNlqResponseParams {
    /** The title of the data model or perspective */
    contextTitle: string;
    /** optional chat context details */
    contextDetails?: ChatContextDetails;
}
/**
 * React hook that returns the last NLQ response for the chat that corresponds
 * to the given data model or perspective.
 *
 * @param params - Parameters for the hook
 * @internal
 */
export declare const useLastNlqResponse: ({ contextTitle, contextDetails, }: UseLastNlqResponseParams) => NlqResponseData | null;
