import { CodePlaceholderMap, CodeTemplateKey, UiFramework } from '../types.js';
/**
 * Populates placeholders in the given template with the given data.
 * If a placeholder is not found in the data, a warning is logged.
 *
 * @param template - the template to populate
 * @param data - the data to populate the template with
 * @returns the populated template
 */
export declare const populatePlaceholders: (template: string, data: Record<string, string>) => string;
/**
 * Generates code from a template with the given data and UI framework.
 *
 * @param templateKey - the key of the template to use
 * @param placeholderMap - the data to populate the template with
 * @param uiFramework - the UI framework for the generated code
 */
export declare const generateCode: (templateKey: CodeTemplateKey, placeholderMap: CodePlaceholderMap, uiFramework?: UiFramework) => string;
