import { WidgetProps } from '../../props.js';
import { ExpandedQueryModel, WidgetCodeParams, WidgetPropsConfig } from '../types.js';
/**
 * Converts query model to widget props.
 *
 * @param queryModel - Expanded query model
 * @returns Widget props
 */
export declare const toWidgetProps: (queryModel: ExpandedQueryModel, config?: WidgetPropsConfig) => WidgetProps | undefined;
/**
 * Converts widget props to CSDK code.
 *
 * @param widgetCodeParams - Widget code params
 * @returns CSDK code string
 */
export declare const toWidgetCode: (widgetCodeParams: WidgetCodeParams) => string;
