/// <reference types="react" />
import { AreamapChartProps } from './props';
/**
 * A React component for visualizing geographical data as colored polygons on a map.
 *
 * For another way do display data on a map, see {@link @sisense/sdk-ui!ScattermapChart | `ScattermapChart`}.
 *
 * ## Example
 *
 * Areamap chart displaying total revenue per country from the Sample ECommerce data model. The total revenue amount is indicated by the colors on the map.
 *
 * <iframe
 *  src='https://csdk-playground.sisense.com/?example=charts%2Fmap-area&mode=docs'
 *  width=800
 *  height=870
 *  style='border:none;'
 * />
 *
 * @param props - Areamap chart properties
 * @returns Areamap Chart component
 * @group Charts
 */
export declare const AreamapChart: import("react").FunctionComponent<AreamapChartProps>;
