import { ChartDataOptions, ChartDataOptionsInternal } from '../types';
import { ChartType } from '../../types';
import { Attribute, Data, Filter, Measure } from '@sisense/sdk-data';
import { DataTable } from '../../chart-data-processor/table-processor';
export type DataColumnNamesMapping = Record<string, string>;
/**
 * Generates and applies unique data column names and creates a mapping of new names to original names.
 *
 * @param measures - An array of Value objects representing measures.
 * @returns - The mapping of unique names to original names.
 */
export declare const generateUniqueDataColumnsNames: (measures: Measure[]) => DataColumnNamesMapping;
/**
 * Applies default chart data options based on input chart type.
 */
export declare const applyDefaultChartDataOptions: (chartDataOptions: ChartDataOptionsInternal, chartType: ChartType) => ChartDataOptionsInternal;
/**
 * Validates attributes, measures, filters, and highlights against the columns in data.
 */
export declare const validateDataOptionsAgainstData: (data: Data | DataTable, attributes: Attribute[], measures: Measure[], dataColumnNamesMapping: DataColumnNamesMapping, filters?: Filter[], highlights?: Filter[]) => boolean;
export declare function validateDataOptions(chartType: ChartType, dataOptions: ChartDataOptions): ChartDataOptions;
