export declare const getBaseDateFnsLocale: (language?: string) => Locale;
export declare enum DatePeriod {
    YEAR = "years",
    QUARTER = "quarters",
    MONTH = "months",
    WEEK = "weeks",
    DATE = "dates"
}
export type DateFnsDate = Date | number;
export declare const startOfPeriod: (period: DatePeriod, date: DateFnsDate, locale: Locale) => Date;
export declare const formatPeriod: (period: ExtendedDatePeriod, date: number, locale: Locale) => string;
export declare const parseDataTableDateValue: (value: string) => Date;
export declare const toPeriodCompareValue: (period: ExtendedDatePeriod, value: string, locale: Locale) => number;
export declare const periodCompareValueForSpecificDate: (period: DatePeriod, date: Date | number, locale: Locale) => number;
export declare const periodCompareValueForNow: (period: DatePeriod, locale: Locale) => number;
export declare const periodCompareValueForPastPeriod: (period: DatePeriod, num: number, refDate: number | undefined, locale: Locale) => number;
export declare const periodCompareValueForFuturePeriod: (period: DatePeriod, num: number, refDate: number | undefined, locale: Locale) => number;
export declare enum PseudoDatePeriod {
    QUARTER_NUM = "quarterNumber",
    MONTH_NAME = "monthName",
    DAY_OF_WEEK = "dayOfWeek",
    TIME_OF_DAY = "timeOfDay"
}
export type ExtendedDatePeriod = DatePeriod | PseudoDatePeriod;
export declare const isDatePeriod: (period: ExtendedDatePeriod) => period is DatePeriod;
export declare const isPseudoDatePeriod: (period: ExtendedDatePeriod) => period is PseudoDatePeriod;
export type PseudoDatePeriodConfig<T> = {
    [key in PseudoDatePeriod]: T;
};
export declare const formatPseudoPeriod: (period: PseudoDatePeriod, date: number, locale: Locale) => string;
export declare const PSEUDO_PERIOD_VALUES: PseudoDatePeriodConfig<number[]>;
export declare const toPseudoPeriodCompareValue: (period: PseudoDatePeriod, value: string) => number;
export declare const today: () => Date;
