import { Row, Column, ComparableData, CompareValue } from './table-processor';
export declare const createCompareValue: (displayValue: string | undefined | null, columnType: string) => CompareValue;
type ComparableValue = string | number | ComparableData | null | undefined;
export declare enum SortDirectionValue {
    ASC = 1,
    DESC = -1,
    NONE = 0
}
/**
 * Compares the two values as ComparableData objects.
 *
 * @param data1 - The first data to compare.
 * @param data2 - The second data to compare.
 * @param direction - The sorting direction. A positive number for ascending order, a negative number for descending order.
 * @param type - The data type of comparison to perform. Defaults to 'string'.
 * @returns {number} Returns -1 if data1 is smaller, 1 if data1 is larger, or 0 if they are equal.
 */
export declare function compareValues(data1: ComparableValue, data2: ComparableValue, direction?: SortDirectionValue, type?: string): number;
export declare class RowComparator {
    columns: readonly Column[];
    constructor(columns: readonly Column[]);
    compare(row1: Row, row2: Row): number;
}
export {};
