import { Cell, Data } from '@sisense/sdk-data';
import { DataTable } from './table-processor';
export declare const itemIndexColumnName = "$itemIndex";
export type TableColumn = {
    readonly name: string;
    readonly type: string;
};
export type TableData = {
    columns: readonly TableColumn[];
    rows: readonly (readonly string[])[];
};
export declare const createSortableTable: (tableData: TableData) => {
    columns: {
        name: string;
        type: string;
        index: number;
        direction: number;
    }[];
    rows: {
        displayValue: string;
    }[][];
};
export declare const createSortableFromColumnsRows: (columns: TableData['columns'], rows: TableData['rows'], rownumColumn?: string) => {
    columns: {
        name: string;
        type: string;
        index: number;
        direction: number;
    }[];
    rows: {
        displayValue: string;
    }[][];
};
type RowValue = Data['rows'][number][number];
export declare const isCell: (rowValue: RowValue) => rowValue is Cell;
export declare const isDataTableEmpty: (dataTable: DataTable) => boolean;
export declare const rownumColumnName = "$rownum";
export declare const createDataTableFromData: (data: Data) => DataTable;
export {};
