import { type SortDirection } from '../types';
import { Column, DataTable } from '../chart-data-processor/table-processor';
import { CartesianChartData, CategoricalXValues } from './types';
import { CartesianChartDataOptionsInternal, StyledMeasureColumn } from '../chart-data-options/types';
export declare const validateCartesianChartDataOptions: (chartDataOptions: CartesianChartDataOptionsInternal) => CartesianChartDataOptionsInternal;
/**
 * Creates cartesian data for chart like line/area/bar and others given table of data and options
 *
 * @param chartDataOptions - Internal cartesian chart data options
 * @param dataTable - Data table
 * @returns Cartesian chart data
 */
export declare const cartesianData: (dataOptions: CartesianChartDataOptionsInternal, dataTable: DataTable) => CartesianChartData;
export declare const sortDirection: (sortType: SortDirection | undefined) => 1 | -1 | 0;
export declare const getOrderedXValues: (dataTable: DataTable, sortedMeasures: StyledMeasureColumn[], xColumns: Column[], rownumColumnName?: string) => CategoricalXValues[];
