import { ComparableData, DataTable } from '../chart-data-processor/table-processor';
import { ScatterAxisCategoriesMap, ScatterCategories, ScatterChartData, ScatterDataTable } from './types';
import { ScatterChartDataOptionsInternal } from '../chart-data-options/types';
export declare const defaultScatterDataValue: ComparableData;
export type AxisColumnName = 'xAxis' | 'yAxis';
export interface DataOptionsIndexes {
    x: number;
    y: number;
    breakByPoint: number;
    breakByColor: number;
    size: number;
}
export declare const buildCategories: (data: ScatterDataTable, axisColumnName: AxisColumnName) => string[];
export declare const createCategoriesMap: (xCategories?: ScatterCategories, yCategories?: ScatterCategories) => ScatterAxisCategoriesMap;
export declare const groupData: (dataOptions: ScatterChartDataOptionsInternal, dataTable: DataTable) => ScatterDataTable;
/**
 * Creates data for scatter charts given chart data table and data options
 *
 * @param chartDataOptions - Data options for scatter chart
 * @param dataTable - Chart data table
 * @returns Scatter chart data
 */
export declare const scatterData: (dataOptions: ScatterChartDataOptionsInternal, dataTable: DataTable) => ScatterChartData;
