import { Column as DataTableColumn, DataTable } from '../chart-data-processor/table-processor';
import { StyledColumn, StyledMeasureColumn, TableDataOptionsInternal } from '../chart-data-options/types';
export declare const unifySortToDirection: ({ column, sortType, }: StyledColumn | StyledMeasureColumn) => number;
export declare const syncDataTableWithDataOptionsSort: (chartDataOptions: TableDataOptionsInternal, dataTable: DataTable) => DataTable;
/**
 * Updates the sort type of a styled column for table
 * This is needed because sorting for Table is done at the JAQL level (backend)
 * while sorting for other charts is done on the client side in CSDK. I am working on a fix for this
 *
 * @param styledColumn - The styled column to update
 * @returns The updated styled column
 * @internal
 */
export declare const updateStyledColumnSortForTable: (styledColumn: StyledColumn | StyledMeasureColumn) => StyledColumn | StyledMeasureColumn;
export declare const updateInnerDataOptionsSort: (dataOptions: TableDataOptionsInternal, sortColumn: DataTableColumn) => TableDataOptionsInternal;
export declare const tableData: (chartDataOptions: TableDataOptionsInternal, dataTable: DataTable) => DataTable;
