import { SeriesType } from './chart-options-service';
import { AxisSettings } from './translations/axis-section';
import { CartesianChartDataOptions, StyledMeasureColumn } from '..';
export declare const FORECAST_PREFIX = "$forecast";
export declare const TREND_PREFIX = "$trend";
export declare const isForecastSeries: (name: string) => boolean;
export declare const isTrendSeries: (name: string) => boolean;
export declare const rangeTitle: (title: string) => string;
export declare const formatForecastSeries: (s: SeriesType, lowerSeriesHash: {
    [x: string]: SeriesType;
}, upperSeriesHash: {
    [x: string]: SeriesType;
}) => number;
export declare const formatForecastRangeSeries: (s: SeriesType, seriesHash: {
    [x: string]: SeriesType;
}) => void;
export declare const formatForecastAdjustRangeStart: (s: SeriesType, seriesHash: {
    [x: string]: SeriesType;
}) => void;
export declare const formatForecastPlotBands: (xAxis: AxisSettings[], forecastStartIndex: number, lastTickIndex: number) => void;
export declare const formatTrendSeries: (series: SeriesType, seriesHash: {
    [x: string]: SeriesType;
}) => void;
export declare const formatAdvancedAnalyticsSeries: (series: SeriesType[]) => void;
/**
 * Extracts trend measures from data options if applicable.
 *
 * @param dataOptions - The Cartesian chart data options.
 * @returns An array of trend measures.
 * @internal
 */
export declare const extractTrendMeasures: (dataOptions: CartesianChartDataOptions) => StyledMeasureColumn[];
/**
 * Extracts forecast measures from data options if applicable.
 *
 * @param dataOptions - The Cartesian chart data options.
 * @returns An array of forecast measures.
 * @internal
 */
export declare const extractForecastMeasures: (dataOptions: CartesianChartDataOptions) => StyledMeasureColumn[];
