import { ChartData } from '../chart-data/types';
import { ChartDesignOptions } from './translations/types';
import { ChartType, CompleteThemeSettings } from '../types';
import { CartesianChartDataOptionsInternal } from '../chart-data-options/types';
import { HighchartsOptionsInternal } from './chart-options-service';
import { OptionsWithAlerts } from './../types';
import { TFunction } from '@sisense/sdk-common';
/**
 * Convert intermediate chart data, data options, and design options
 * into pure highcharts config data.
 *
 * @param chartData - the data for the chart in an intermediate format
 * @param chartType -
 * @param chartDesignOptions -
 * @param dataOptions -
 * @param themeSettings -
 * @param dateFormatter
 */
export declare const getCartesianChartOptions: (chartData: ChartData, chartType: ChartType, chartDesignOptions: ChartDesignOptions, dataOptions: CartesianChartDataOptionsInternal, translate: TFunction, themeSettings?: CompleteThemeSettings, dateFormatter?: ((date: Date, format: string) => string) | undefined) => OptionsWithAlerts<HighchartsOptionsInternal>;
