import { ChartDesignOptions } from './translations/types';
import { ChartType, OptionsWithAlerts, CompleteThemeSettings } from '../types';
import { CategoricalChartData } from '../chart-data/types';
import { HighchartsOptionsInternal } from './chart-options-service';
import { ChartDataOptionsInternal } from '../chart-data-options/types';
import { TFunction } from '@sisense/sdk-common';
/**
 * Convert intermediate chart data, data options, and design options
 * into pure highcharts config data.
 *
 * @param chartData - the data for the chart in an intermediate format
 * @param chartType -
 * @param globalDesignOptions -
 * @param dataOptions -
 * @param themeSettings -
 */
export declare const getCategoricalChartOptions: (chartData: CategoricalChartData, chartType: ChartType, chartDesignOptions: ChartDesignOptions, dataOptions: ChartDataOptionsInternal, translate: TFunction, themeSettings?: CompleteThemeSettings) => OptionsWithAlerts<HighchartsOptionsInternal>;
