import { CompleteThemeSettings } from '..';
import { HighchartsOptionsInternal } from './chart-options-service';
export declare const DEFAULT_ANIMATION_DURATION_MS_INIT = 600;
export declare const DEFAULT_ANIMATION_DURATION_MS_UPDATE = 300;
export declare const applyCommonHighchartsOptions: (chartOptions: HighchartsOptionsInternal, themeSettings: CompleteThemeSettings, accessibilityEnabled: boolean) => HighchartsOptionsInternal;
/**
 * Composable variant of applyCommonHighchartsOptions.
 * Returns a function that applies common highcharts options to the chart options.
 *
 * @param themeSettings - The theme settings to use.
 * @param accessibilityEnabled - Whether accessibility is enabled.
 * @returns A function that applies common highcharts options to the chart.
 */
export declare function withCommonHighchartsOptions(themeSettings: CompleteThemeSettings, accessibilityEnabled: boolean): (chartOptions: HighchartsOptionsInternal) => HighchartsOptionsInternal;
