import { AxisSettings } from '../translations/axis-section';
import { Style, HighchartsOptionsInternal, Stacking } from '../chart-options-service';
import { ChartType } from '../../types';
import { PolarType } from '../translations/design-options';
export declare const lineColorDefault = "#d1d1d7";
export declare const fontStyleDefault: Style;
export declare const stackTotalFontStyleDefault: Style;
export declare const xAxisDefaults: AxisSettings;
export declare const yAxisDefaults: AxisSettings;
export declare const chartOptionsDefaults: (chartType: ChartType, polarType?: PolarType, stacking?: Stacking) => HighchartsOptionsInternal;
export declare const cartesianDefaults: HighchartsOptionsInternal;
export declare const areaDefaults: (stacking?: Stacking) => {
    plotOptions: {
        area: {
            lineColor?: string | undefined;
        };
        series: {
            stacking?: Stacking | undefined;
        };
    };
};
export declare const columnDefaults: (stacking?: Stacking) => {
    plotOptions: {
        column: {
            borderWidth?: number | undefined;
            groupPadding: number;
            pointPadding: number;
        };
        series: {
            stacking?: Stacking | undefined;
        };
    };
};
export declare const barDefaults: (stacking?: Stacking) => {
    plotOptions: {
        bar: {
            borderWidth?: number | undefined;
            groupPadding: number;
            pointPadding: number;
        };
        series: {
            stacking?: Stacking | undefined;
        };
    };
};
