import { CartesianChartDataOptionsInternal, ChartDataOptionsInternal } from '../chart-data-options/types';
import { ChartData } from '../chart-data/types';
import { PlotBand } from './translations/axis-section';
import { DesignOptions } from './translations/types';
type CategoryIndexMapPlotBands = {
    categories: string[];
    indexMap: number[];
    plotBands: PlotBand[];
};
export declare const applyNumberFormatToPlotBands: (dataOptions: ChartDataOptionsInternal, categoryIndexMapPlotBands: CategoryIndexMapPlotBands) => CategoryIndexMapPlotBands;
/**
 * This method returns three arrays to create chart options
 * categories - values to display on the bottom X1 axis
 * indexMap - tic index to xValue index
 * plotBands - information to create plot bands for X2 axis
 *
 * @param data -
 * @param dataOptions -
 * @param designOptions -
 * @param continuousDatetimeXAxis -
 */
export declare const getCategoriesIndexMapAndPlotBands: (data: ChartData, dataOptions: CartesianChartDataOptionsInternal, designOptions: DesignOptions, continuousDatetimeXAxis: boolean) => CategoryIndexMapPlotBands;
export {};
