import { ChartDesignOptions } from './translations/types';
import { ChartType, OptionsWithAlerts, CompleteThemeSettings } from '../types';
import { ScatterChartData } from '../chart-data/types';
import { HighchartsOptionsInternal } from './chart-options-service';
import { ChartDataOptionsInternal } from '../chart-data-options/types';
import { LegendPosition, LegendSettings } from './translations/legend-section';
/**
 * @param position
 * @internal
 */
export declare const getScatterLegendSettings: (position: LegendPosition) => LegendSettings;
/**
 * Convert intermediate chart data, data options, and design options
 * into pure highcharts config data.
 *
 * @param chartData - the data for the chart in an intermediate format
 * @param chartType -
 * @param globalDesignOptions -
 * @param dataOptions -
 * @param themeSettings -
 */
export declare const getScatterChartOptions: (chartData: ScatterChartData, chartType: ChartType, designOptions: ChartDesignOptions, dataOptions: ChartDataOptionsInternal, themeSettings?: CompleteThemeSettings) => OptionsWithAlerts<HighchartsOptionsInternal>;
