import { Legend, PolarStyleOptions, PieStyleOptions, StackableStyleOptions, LineStyleOptions, AreaStyleOptions, FunnelStyleOptions, ScatterStyleOptions, BaseStyleOptions, TreemapStyleOptions, SunburstStyleOptions, BoxplotStyleOptions, ScattermapStyleOptions, BaseAxisStyleOptions, ChartStyleOptions, ChartType } from '../../types';
import { StackableChartDesignOptions, LineChartDesignOptions, PieChartDesignOptions, FunnelChartDesignOptions, PolarChartDesignOptions, ScatterChartDesignOptions, AreaChartDesignOptions, TreemapChartDesignOptions, SunburstChartDesignOptions, BoxplotChartDesignOptions, ScattermapChartDesignOptions, BaseDesignOptionsType } from '../translations/design-options';
import { LegendPosition } from '../translations/legend-section';
import { StackType } from '../translations/translations-to-highcharts';
import { CartesianChartType, SeriesDesignOptions } from '../translations/types';
import { CartesianChartDataOptionsInternal } from '../../chart-data-options/types';
export declare const getLegend: (legend?: Legend) => LegendPosition;
export declare const DefaultStackType: StackType;
export declare const getCartesianChartStyle: (styleOptions: BaseStyleOptions & BaseAxisStyleOptions, shouldHaveY2Axis: boolean) => BaseDesignOptionsType;
export declare const getStackableChartDesignOptions: (styleOptions: AreaStyleOptions | StackableStyleOptions, dataOptions: CartesianChartDataOptionsInternal, hasY2Axis: boolean, chartType: CartesianChartType) => StackableChartDesignOptions;
export declare const getSeriesChartDesignOptions: (chartType: ChartType, styleOptions: ChartStyleOptions) => SeriesDesignOptions;
export declare const getLineChartDesignOptions: (styleOptions: LineStyleOptions, dataOptions: CartesianChartDataOptionsInternal, hasY2Axis: boolean) => LineChartDesignOptions;
export declare const getAreaChartDesignOptions: (styleOptions: AreaStyleOptions, dataOptions: CartesianChartDataOptionsInternal, hasY2Axis: boolean) => AreaChartDesignOptions;
export declare const DefaultPieType = "classic";
export declare const getPieChartDesignOptions: (styleOptions: PieStyleOptions) => PieChartDesignOptions;
export declare const getFunnelChartDesignOptions: (styleOptions: FunnelStyleOptions) => FunnelChartDesignOptions;
export declare const getTreemapChartDesignOptions: (styleOptions: TreemapStyleOptions) => TreemapChartDesignOptions;
export declare const getSunburstChartDesignOptions: (styleOptions: SunburstStyleOptions) => SunburstChartDesignOptions;
export declare const getPolarChartDesignOptions: (styleOptions: PolarStyleOptions, dataOptions: CartesianChartDataOptionsInternal) => PolarChartDesignOptions;
export declare const getScatterChartDesignOptions: (styleOptions: ScatterStyleOptions) => ScatterChartDesignOptions;
export declare const getBoxplotChartDesignOptions: (styleOptions: BoxplotStyleOptions) => BoxplotChartDesignOptions;
export declare const getScattermapChartDesignOptions: (styleOptions: ScattermapStyleOptions) => ScattermapChartDesignOptions;
