import { CompleteThemeSettings } from '../types';
import { HighchartsOptionsInternal } from './chart-options-service';
export declare const applyThemeToChart: (chartOptions: HighchartsOptionsInternal, themeSettings?: CompleteThemeSettings) => HighchartsOptionsInternal;
/**
 * Composable variant of applyThemeToChart.
 * Returns a function that applies theme options to the chart options.
 *
 * @param themeSettings - The theme settings to use.
 * @returns A function that applies theme options to the chart options.
 */
export declare function withThemeOptions(themeSettings?: CompleteThemeSettings): (chartOptions: HighchartsOptionsInternal) => HighchartsOptionsInternal;
