import { Style } from '../chart-options-service';
export type LegendPosition = 'top' | 'left' | 'right' | 'bottom' | null;
export type LegendSettings = {
    enabled: boolean;
    align?: 'center' | 'left' | 'right';
    verticalAlign?: 'top' | 'middle' | 'bottom';
    layout?: 'horizontal' | 'vertical';
    itemStyle?: Style & {
        cursor?: string;
    };
    symbolRadius?: number;
    symbolHeight?: number;
    symbolWidth?: number;
    borderWidth?: number;
    borderColor?: string;
    backgroundColor?: string;
    itemMarginBottom?: number;
    itemMarginTop?: number;
    margin?: number;
    title?: {
        style?: {
            [key: string]: string | number;
        };
    };
    maxHeight?: number;
};
export declare const legendItemStyleDefault: LegendSettings['itemStyle'];
export declare const getLegendSettings: (position: LegendPosition) => LegendSettings;
