export type Marker = {
    enabled: boolean;
    size: 'small' | 'large';
    fill: 'full' | 'hollow';
};
export type MarkerSettings = {
    enabled: boolean;
    radius?: number;
    symbol?: string;
    fillColor?: string | null;
    lineColor?: string | null;
    lineWidth?: number;
    fillOpacity?: number;
    states?: {
        hover?: {
            fillColor: string;
            radius: number;
            lineWidth: number;
        };
        select?: {
            fillOpacity: number;
            lineWidth: number;
        };
    };
};
export declare const getMarkerSettings: (marker: Marker) => MarkerSettings;
