import { AxisSettings } from './axis-section';
import { HighchartsType } from './translations-to-highcharts';
type Navigator = {
    series: {
        type: HighchartsType;
        dataGrouping: {
            enabled: boolean;
        };
    };
    enabled: boolean;
    margin: number;
    height: number;
    xAxis: AxisSettings;
    handles: {
        symbols: string[];
        backgroundColor: string;
        borderColor: string;
    };
    maskInside: boolean;
    maskFill: string;
    outlineColor: string;
    outlineWidth: number;
    threshold?: number;
    tooltipFormatter?: (min: number, max: number) => {
        left: string;
        right: string;
    };
};
export declare const getNavigator: (type: HighchartsType, enabled: boolean, xAxisCount: number, dimension: number, isVertical?: boolean) => Navigator | {
    enabled: boolean;
};
export declare function setInitialScrollerPosition(chart: Highcharts.Chart, scrollerStart: number, scrollerEnd: number): void;
export {};
