import { PlotOptions } from '../chart-options-service';
import { ValueLabelSettings } from './value-label-section';
import { ChartDataOptionsInternal } from '../../chart-data-options/types';
import { CompleteThemeSettings } from '../../types';
export declare const DefaultPieLabels: PieLabels;
export type PieLabels = {
    enabled: boolean;
    showCategories: boolean;
    showValue: boolean;
    showPercent: boolean;
    showDecimals: boolean;
};
export declare const DefaultPieType: PieType;
export declare const pieTypes: readonly ["classic", "donut", "ring"];
export type PieType = (typeof pieTypes)[number];
export type PieOptions = {
    allowPointSelect: boolean;
    cursor?: string;
    dataLabels: ValueLabelSettings & {
        showPercentLabels: boolean;
        showDecimals: boolean;
        pieMinimumFontSizeToTextLabel: number;
        formatter?: () => string;
    };
    showInLegend: boolean;
    innerSize?: InnerSize;
};
type InnerSize = '0%' | '40%' | '80%';
export declare const getPiePlotOptions: (pieType: "classic" | "donut" | "ring" | undefined, pieLabels: PieLabels | undefined, chartDataOptions: ChartDataOptionsInternal, themeSettings?: CompleteThemeSettings) => PlotOptions;
export {};
