import { ScatterChartDataOptionsInternal } from '../../chart-data-options/types';
import { SeriesType } from '../chart-options-service';
import { ScatterAxisCategoriesMap, ScatterDataTable } from '../../chart-data/types';
import { ComparableData } from '../../chart-data-processor/table-processor';
import { SeriesWithAlerts, CompleteThemeSettings } from '../../types';
export type ScatterSeriesColor = {
    index: number;
    color: string;
};
export type ScatterSeriesColorsMap = Map<string, ScatterSeriesColor>;
export interface AxisComputedProperties {
    x: number | null;
    y: number | null;
    z: number | null;
    maskedX: string;
    maskedY: string;
    maskedBreakByPoint?: string;
    maskedBreakByColor?: string;
    maskedSize?: string;
    color?: string;
    selected?: boolean;
}
export declare const handleNumberValue: (cell: ComparableData) => number | null;
export declare const buildScatterSeries: (data: ScatterDataTable, categoriesMap: ScatterAxisCategoriesMap, dataOptions?: ScatterChartDataOptionsInternal, themeSettings?: CompleteThemeSettings, seriesCapacity?: number) => SeriesWithAlerts<SeriesType[]>;
