import { StyledMeasureColumn, StyledColumn } from '../../chart-data-options/types.js';
export declare const isValueNumeric: (value: StyledMeasureColumn | StyledColumn | undefined) => boolean | "";
export declare const formatTooltipValue: (dataOption: StyledMeasureColumn | StyledColumn | undefined, value: number | string | undefined, displayValue: string) => string;
export declare function isTooltipPercentValueSupported(options: StyledMeasureColumn | undefined): boolean;
export type TooltipSettings = {
    enabled?: boolean;
    animation?: boolean;
    backgroundColor?: string;
    borderColor?: string;
    borderRadius?: number;
    borderWidth?: number;
    useHTML?: boolean;
    crosshairs?: boolean;
    shared?: boolean;
    formatter?: () => string;
    style?: {
        fontFamily?: string;
    };
};
export type InternalSeries = {
    series: {
        name: string;
        color: string;
    };
    x: string;
    y: number;
    point: {
        x?: number | string;
        y?: number;
        yBottom?: number;
        z?: number;
        high?: number;
        low?: number;
        q1?: number;
        q3?: number;
        index?: number;
        median?: number;
        name: string;
        color: string;
        custom?: {
            number1?: number;
            string1?: string;
            xDisplayValue?: string;
            xValue?: (number | string)[];
        };
        upperPointName?: string;
        lowerPointName?: string;
        trend?: {
            min: number;
            max: number;
            median: number;
            average: number;
        };
    };
    percentage?: number;
};
