import type { DataLabelsOptions } from '@sisense/sisense-charts';
import { Style } from '../chart-options-service';
import { AxisOrientation } from './axis-section';
import { InternalSeries } from './tooltip-utils';
import { PolarType } from './design-options';
import { NumberFormatConfig } from '../../types';
export type ValueLabelOptions = {
    enabled?: boolean;
    rotation?: number;
    showValue?: boolean;
    showPercentage?: boolean;
};
export type RotationType = 'horizontal' | 'diagonal' | 'vertical';
export type ValueLabelSettings = {
    enabled?: boolean;
    align?: string;
    crop?: boolean;
    rotation?: number;
    y?: number;
    x?: number;
    style?: Style;
    overflow?: string;
    allowOverlap?: boolean;
    verticalAlign?: 'bottom' | 'middle' | 'top';
    padding?: number;
    types?: {
        count: boolean;
        relative: boolean;
        totals: boolean;
    };
    formatter?: (this: InternalSeries, options?: DataLabelsOptions, valuePropName?: string) => string;
};
export declare const createValueLabelFormatter: (numberFormatConfig?: NumberFormatConfig, options?: ValueLabelOptions) => (this: InternalSeries) => string;
export declare const getRotationType: (rotation: number) => RotationType;
export declare const getValueLabelSettings: (xAxisOrientation: AxisOrientation, valueLabel: ValueLabelOptions, inside?: boolean) => ValueLabelSettings;
export declare const getPolarValueLabelSettings: (valueLabel: ValueLabelOptions, polarType: PolarType) => ValueLabelSettings;
