import { ClientApplication } from '../../app/client-application';
import { QueryDescription } from '../../query/execute-query';
import { ChartType } from '../../types';
import { QueryResultData } from '@sisense/sdk-data';
import { QueryExecutionConfig } from '@sisense/sdk-query-client';
import { ChartDataOptionsInternal } from '../../chart-data-options/types';
export type LoadDataFunction = (options: {
    app: ClientApplication;
    chartDataOptionsInternal?: ChartDataOptionsInternal;
    queryDescription: QueryDescription;
    executionConfig?: QueryExecutionConfig;
}) => Promise<QueryResultData>;
/**
 * Get the load data function based on the chart type
 */
export declare function getLoadDataFunction(chartType: ChartType): LoadDataFunction;
