import { Attribute, Data, DataSource, Filter, FilterRelations, Measure } from '@sisense/sdk-data';
import { Dispatch, SetStateAction } from 'react';
import { ChartDataOptionsInternal } from '../../chart-data-options/types';
import { ChartType } from '../../types';
import { DataColumnNamesMapping } from '../../chart-data-options/validate-data-options';
import { LoadDataFunction } from './get-load-data-function';
type DataSet = DataSource | Data | undefined;
type UseSyncedDataProps = {
    dataSet: DataSet;
    chartDataOptions: ChartDataOptionsInternal;
    chartType: ChartType;
    attributes: Attribute[];
    measures: Measure[];
    dataColumnNamesMapping: DataColumnNamesMapping;
    filters?: Filter[] | FilterRelations;
    highlights?: Filter[];
    refreshCounter?: number;
    setIsLoading?: Dispatch<SetStateAction<boolean>>;
    enabled?: boolean;
    loadData: LoadDataFunction;
};
export declare const useSyncedData: ({ dataSet, chartDataOptions, chartType, attributes, measures, dataColumnNamesMapping, filters, highlights, refreshCounter, setIsLoading, enabled, loadData, }: UseSyncedDataProps) => [Data, ChartDataOptionsInternal];
export {};
