/// <reference types="react" />
import type { FeatureCollection as GeoJsonFeatureCollection } from 'geojson';
import { AreamapType } from '../../../../types.js';
import { GeoDataElement } from '../types.js';
export type AreamapProps = {
    geoJson: GeoJsonFeatureCollection;
    geoData: GeoDataElement[];
    dataOptions: {
        originalValueTitle: string;
        onAreaClick?: (geoDataElement: GeoDataElement, clickEvent: MouseEvent) => void;
    };
    mapType: AreamapType;
};
/**
 * Component that renders a map with areas (countries or states) for using in Areamap chart
 */
export declare const AreamapMap: React.FC<AreamapProps>;
