import { Feature as GeoJsonFeature } from 'geojson';
import { PathOptions } from 'leaflet';
import { AreamapType } from '../../../../types.js';
import { GeoDataElement } from '../types.js';
export type FeatureId = GeoJsonFeature['id'] & string;
export type FeatureInfo = {
    /** Corresponding GeoDataElement from GeoData */
    geoDataElement?: GeoDataElement;
    style: PathOptions;
    displayName: string;
};
export type FeaturesDictionary = Record<FeatureId, FeatureInfo>;
/**
 * Creates a dictionary of feature styles for each feature in geoJson
 */
export declare function createFeatureStylesDictionary(geoFeatures: GeoJsonFeature[], geoData: GeoDataElement[], mapType: AreamapType): FeaturesDictionary;
