import { CartesianChartDataOptionsInternal, ChartDataOptions, ChartDataOptionsInternal } from '../../../../../chart-data-options/types';
import { CartesianChartDataOptions } from '../../../../../types';
import { Attribute, Measure } from '@sisense/sdk-data';
/**
 * Translates the data options for cartesian charts to internal format.
 */
export declare const translateCartesianChartDataOptions: (dataOptions: CartesianChartDataOptions) => CartesianChartDataOptionsInternal;
/**
 * Returns the attributes from the internal data options for cartesian charts.
 */
export declare function getCartesianAttributes(internalDataOptions: CartesianChartDataOptionsInternal): Attribute[];
/**
 * Returns the measures from the internal data options for cartesian charts.
 */
export declare function getCartesianMeasures(internalDataOptions: CartesianChartDataOptionsInternal): Measure[];
/**
 * Checks if the data options are correct for cartesian charts.
 */
export declare function isCartesianChartDataOptions(dataOptions: ChartDataOptions): dataOptions is CartesianChartDataOptions;
/**
 * Checks if the internal data options are correct for cartesian charts.
 */
export declare function isCartesianChartDataOptionsInternal(dataOptions: ChartDataOptionsInternal): dataOptions is CartesianChartDataOptionsInternal;
/**
 * Checks if the chart should have Y2 axis.
 */
export declare function shouldHaveY2Axis(dataOptions: CartesianChartDataOptionsInternal): boolean;
