export declare class IndicatorHelper {
    /**
     * Converts degrees to radians.
     *
     * @param {number} angle
     * @returns {number}
     */
    degToRad(angle: number): number;
    /**
     * Returns fit string measure.
     *
     * @param {object} ctx
     * @param {string} string
     * @param {number} maxWidth
     * @param {string} font
     * @returns {object}
     */
    getFitStringMeasure(ctx: CanvasRenderingContext2D, string: string, maxWidth: number, font: string): {
        string: string;
        width: number;
    };
    /**
     * Returns string width.
     *
     * @param {object} ctx
     * @param {string} string
     * @returns {number}
     */
    getStringWidth(ctx: CanvasRenderingContext2D, string: string): number;
    /**
     * Rounds a number downward to its nearest integer with specified number of decimals.
     *
     * @param {number} value
     * @param {number} decimals
     * @returns {number}
     */
    floor(value: number, decimals: number): number;
    /**
     * Sets canvas width and height considering device pixel ratio.
     *
     * @param {HTMLElement} canvas
     * @param {CanvasRenderingContext2D} ctx
     * @param {number} width
     * @param {number} height
     */
    setCanvasSizes(canvas: HTMLCanvasElement, ctx: CanvasRenderingContext2D, width: number, height: number): void;
}
