import { IndicatorLegacyChartDataOptions } from '../indicator-legacy-chart-data-options';
import { LegacyIndicatorChartOptions, TickerOptions } from '../types';
export declare class Ticker {
    /**
     * Renders indicator ticker widget.
     *
     * @param {HTMLElement} canvas
     * @param {object} data
     * @param {object} options
     * @param {HTMLElement} container
     */
    render(canvas: HTMLCanvasElement, data: IndicatorLegacyChartDataOptions, options: TickerOptions, container: HTMLElement): void;
    /**
     * Draws indicator ticker widget.
     *
     * @param ctx
     * @param data
     * @param options
     */
    draw(ctx: CanvasRenderingContext2D, data: IndicatorLegacyChartDataOptions, options: LegacyIndicatorChartOptions | any): void;
    /**
     * Clears the canvas.
     *
     * @param ctx
     * @param options
     */
    clearCanvas(ctx: CanvasRenderingContext2D, options: LegacyIndicatorChartOptions | any): void;
    /**
     * Draws the ticker bar section.
     *
     * @param {object} ctx
     * @param {object} data
     * @param {object} options
     */
    drawTickerBar(ctx: CanvasRenderingContext2D, data: IndicatorLegacyChartDataOptions, options: LegacyIndicatorChartOptions | any): void;
    /**
     * Draws the divider.
     *
     * @param ctx
     * @param options
     */
    drawDivider(ctx: CanvasRenderingContext2D, options: LegacyIndicatorChartOptions | any): void;
    /**
     * Draws the title section.
     *
     * @param ctx
     * @param options
     */
    drawTitle(ctx: CanvasRenderingContext2D, options: LegacyIndicatorChartOptions | any): void;
    /**
     * Draws the value section.
     *
     * @param ctx
     * @param data
     * @param options
     */
    drawValue(ctx: CanvasRenderingContext2D, data: IndicatorLegacyChartDataOptions, options: LegacyIndicatorChartOptions | any): void;
    /**
     * Draws the secondary section.
     *
     * @param ctx
     * @param options
     */
    drawSecondary(ctx: CanvasRenderingContext2D, options: LegacyIndicatorChartOptions | any): void;
}
