import { IndicatorChartDataOptions } from '../../chart-data-options/types';
import { IndicatorChartDesignOptions } from '../../chart-options-processor/translations/design-options';
import { IndicatorChartData } from '../../chart-data/types';
import { LegacyIndicatorChartTypes } from './types';
export type IndicatorLegacyChartDataOptions = ReturnType<typeof createLegacyChartDataOptions>;
export declare const createLegacyChartDataOptions: (chartData: IndicatorChartData, chartDesignOptions: IndicatorChartDesignOptions, dataOptions: IndicatorChartDataOptions) => {
    type: LegacyIndicatorChartTypes;
    skin: 1 | 2 | "vertical" | "horizontal";
    title: {
        text: string;
    };
    min: {
        data: number;
        text: string;
    };
    max: {
        data: number;
        text: string;
    };
    value: {
        data: number | undefined;
        text: string;
    };
    secondary: {
        data: number | undefined;
        text: string;
    };
    secondaryTitle: {
        text: string;
    };
    showSecondary: boolean;
    showTitle: boolean;
    showLabels: boolean;
    showTicks: boolean;
    color: string;
};
