import { IndicatorStyleType, NumericIndicatorSubType } from '../../../chart-options-processor/translations/design-options';
import { IndicatorChartDataOptions, ThemeSettings } from '../../../types';
import { LegacyIndicatorChartOptions } from '../types';
import { IndicatorChartData } from '../../../chart-data/types';
export type ChartRenderingOptions = {
    chartData: IndicatorChartData;
    dataOptions: IndicatorChartDataOptions;
    themeSettings?: ThemeSettings;
};
export type IndicatorTypeOptions = {
    type: Exclude<IndicatorStyleType, 'numeric'>;
    forceTickerView: boolean;
    tickerBarHeight?: number;
} | {
    type: 'numeric';
    numericSubtype?: NumericIndicatorSubType;
    forceTickerView: boolean;
};
export declare const createIndicatorLegacyChartOptions: (typeOptions: IndicatorTypeOptions, chartRenderingOptions: ChartRenderingOptions) => LegacyIndicatorChartOptions;
