import { IndicatorLegacyChartDataOptions } from './indicator-legacy-chart-data-options';
import { IndicatorLegacyChartOptions } from '../../indicator-canvas';
/**
 * Indicator render options.
 */
export type IndicatorRenderOptions = {
    /** The primary value options. */
    value: {
        /** The primary value data. */
        data: number;
        /** The primary value text. */
        text: string;
        /** The primary value color. */
        color: string;
    };
    /** The secondary value options. */
    secondary: {
        /** The secondary value data. */
        data: number;
        /** The secondary value text. */
        text: string;
        /** The secondary value color. */
        color: string;
        /** The secondary value font weight. */
        fontWeight: string;
    };
    /** The title options. */
    title: {
        /** The title text. */
        text: string;
        /** The title color. */
        color: string;
    };
    /** The secondary title options. */
    secondaryTitle: {
        /** The secondary title text. */
        text: string;
        /** The secondary title color. */
        color: string;
    };
};
/**
 * Builds the render options from the legacy data and chart options.
 */
export declare function buildRenderOptionsFromLegacyOptions(legacyDataOptions: IndicatorLegacyChartDataOptions, legacyChartOptions: IndicatorLegacyChartOptions): IndicatorRenderOptions;
/**
 * Applies the indicator render options to the legacy data and chart options.
 */
export declare const applyIndicatorRenderOptions: (indicatorRenderOptions: IndicatorRenderOptions, legacyDataOptions: IndicatorLegacyChartDataOptions, legacyChartOptions: IndicatorLegacyChartOptions) => {
    legacyDataOptions: IndicatorLegacyChartDataOptions;
    legacyChartOptions: IndicatorLegacyChartOptions;
};
