import { ChartData, ScattermapChartData } from '../../../chart-data/types.js';
import { ScattermapDataPointEventHandler } from '../../../props.js';
import { ScattermapChartDataOptionsInternal } from '../../../chart-data-options/types.js';
import { ScattermapChartDesignOptions } from '../../../chart-options-processor/translations/design-options.js';
import { DataSource, Filter, FilterRelations } from '@sisense/sdk-data';
import { ChartRendererProps } from '../../../chart/types.js';
export type ScattermapProps = {
    chartData: ScattermapChartData;
    dataOptions: ScattermapChartDataOptionsInternal;
    designOptions: ScattermapChartDesignOptions;
    dataSource: DataSource | null;
    filters?: Filter[] | FilterRelations;
    onDataPointClick?: ScattermapDataPointEventHandler;
};
export declare const Scattermap: ({ chartData, dataOptions, dataSource, filters, designOptions, onDataPointClick, }: ScattermapProps) => import("react/jsx-runtime").JSX.Element;
export declare const isScattermapData: (chartData: ChartData) => chartData is ScattermapChartData;
export declare const isScattermapProps: (props: ChartRendererProps) => props is ScattermapProps;
