import { type Filter } from '@sisense/sdk-data';
import { ChartDataOptions, ChartWidgetProps, PivotTableDataOptions, RenderToolbarHandler } from '../index.js';
import { CommonFiltersOptions } from './types.js';
import { WidgetTypeInternal } from '../models/widget/types';
import { OpenMenuFn } from '../common/components/menu/types';
import { TFunction } from '@sisense/sdk-common';
type CommonFiltersConnectionProps = Pick<ChartWidgetProps, 'highlights' | 'onDataPointClick' | 'onDataPointsSelected' | 'onDataPointContextMenu'> & {
    filters: Filter[];
    renderToolbar: RenderToolbarHandler;
};
/**
 * Prepares common filters for connection to widget props
 *
 * @param filters - Pure filters (non-cascading)
 * @param setFilters - Function to set updated pure filters (non-cascading)
 */
export declare function prepareCommonFiltersConnectionProps(commonFilters: Filter[], updateCommonFilters: (filters: Filter[]) => void, widgetType: WidgetTypeInternal, dataOptions: ChartDataOptions | PivotTableDataOptions, options: CommonFiltersOptions, translate: TFunction, openMenu?: OpenMenuFn): CommonFiltersConnectionProps;
export {};
