import { Attribute, Filter } from '@sisense/sdk-data';
import { ChartDataOptions, ChartDataPoint, PivotTableDataOptions, MenuItemSection } from '../index.js';
import { WidgetTypeInternal } from '../models/widget/types.js';
export declare const SELECTION_TITLE_MAXIMUM_ITEMS = 2;
type DataSelection = {
    attribute: Attribute;
    values: (string | number)[];
    displayValues: string[];
};
export declare function getWidgetSelections(widgetType: WidgetTypeInternal, dataOptions: ChartDataOptions | PivotTableDataOptions, points: Array<ChartDataPoint>): DataSelection[];
export declare function getSelectableWidgetAttributes(widgetType: WidgetTypeInternal, dataOptions: ChartDataOptions | PivotTableDataOptions): Attribute[];
type FiltersWithSelectionFlag = {
    filters: Filter[];
    isSelection: boolean;
};
/**
 * Creates a set of common filters based on the current selections, considering existing filters and
 * the common filters unselection rules.
 */
export declare function createCommonFiltersOverSelections(selections: DataSelection[], existingCommonFilters: Filter[], allowPartialUnselection?: boolean): FiltersWithSelectionFlag;
export declare function getWidgetSelectionsTitleMenuItem(widgetType: WidgetTypeInternal, dataOptions: ChartDataOptions | PivotTableDataOptions, points: Array<ChartDataPoint>): MenuItemSection | null;
export declare function getSelectMenuItem(title: string, selectHandler: () => void): MenuItemSection;
export {};
