/// <reference types="react" />
export interface ModalProviderProps {
    children?: React.ReactNode;
}
/**
 * The root-level provider component for managing and displaying modals.
 * This component provides the modal API for controlling modal components.
 */
declare const ModalTreeRootProvider: React.FC<ModalProviderProps>;
/**
 * The node-level provider component for managing and displaying modals.
 * This component provides the proxy access to the root modal API.
 */
declare const ModalTreeNodeProvider: React.FC<ModalProviderProps>;
/**
 * The general modal provider component that decides whether to use the root or node-level modal provider.
 */
export declare const ModalProvider: ({ children }: ModalProviderProps) => import("react/jsx-runtime").JSX.Element;
export { ModalTreeRootProvider, ModalTreeNodeProvider };
