import { ReactNode } from 'react';
/** @internal */
export type PopoverAnchorPosition = {
    anchorEl: HTMLElement;
    anchorOrigin: {
        vertical: 'top' | 'center' | 'bottom';
        horizontal: 'left' | 'center' | 'right';
    };
    contentOrigin: {
        vertical: 'top' | 'center' | 'bottom';
        horizontal: 'left' | 'center' | 'right';
    };
};
type PopoverPosition = PopoverAnchorPosition;
type PopoverProps = {
    children: ReactNode;
    open: boolean;
    id?: string;
    position?: PopoverPosition;
    onClose?: () => void;
    BackdropProps?: {
        invisible?: boolean;
        style?: React.CSSProperties;
    };
    style?: React.CSSProperties;
    slotProps?: {
        paper?: {
            sx?: Record<string, any>;
        };
    };
};
/** @internal */
export declare const Popover: (props: PopoverProps) => import("react/jsx-runtime").JSX.Element;
export {};
