/// <reference types="react" />
type PopperProps = {
    children: React.ReactNode;
    open: boolean;
    anchorEl: HTMLElement | null;
    style?: React.CSSProperties;
    /**
     * If true, the click event will not be propagated to the parent elements outside of the popper.
     * Useful for React to Preact compatibility issues related to different event handling mechanisms - virtual DOM vs real DOM.
     */
    preventClickPropagation?: boolean;
};
export declare const Popper: ({ children, open, anchorEl, style, preventClickPropagation, }: PopperProps) => import("react/jsx-runtime").JSX.Element;
export {};
