import { MenuOptions } from '../components/menu/types.js';
export type CombineMenusFn = (menusOptions: MenuOptions[]) => MenuOptions;
export interface CombinedMenuParams {
    /** Function to combine the current menu options with the captured menu options */
    combineMenus: CombineMenusFn;
}
/**
 * Custom hook to manage a combined menu flow,
 * allowing to combine multiple menus options opened one after the other.
 *
 * @internal
 */
export declare const useCombinedMenu: ({ combineMenus }: CombinedMenuParams) => {
    openMenu: (options: MenuOptions) => void;
};
