/**
 * Hook that returns if a value from the previous render has changed.
 *
 * @param value - Value for the current render.
 * @param propNames - Names of keys to compare.
 * @param [compare] - Optional comparison function
 * @returns Has the value changed or not.
 */
export declare function useHasChanged<T>(value: T, propNames?: Array<keyof T>, compare?: (value: T, prev: T) => boolean): boolean;
