import { ClientApplication } from '../../app/client-application.js';
/**
 * Hook that generates a function for testing whether or not load
 *  should be performed for this render
 *
 * @param params - the component or hook params object
 * @param isParamsChanged - have the params changed from previous invocation
 * @returns generated render checking function
 */
export declare function useShouldLoad<T extends {
    enabled?: boolean;
}>({ enabled }: T, isParamsChanged: boolean): (app: ClientApplication | undefined, force?: boolean) => app is ClientApplication;
