import { WidgetsPanelLayout } from '../../models';
import { WidgetProps } from '../../props';
/**
 * Props for the {@link ContentPanel} component.
 *
 * @internal
 */
export interface ContentPanelProps {
    /**
     * An object defining how the widgets should be laid out.
     */
    layout: WidgetsPanelLayout;
    /**
     * If true adjust layout based on available width of content panel.
     *
     * If not specified, the default value is `false`.
     *
     * @internal
     */
    responsive?: boolean;
    /**
     * A list of widget props to render.
     */
    widgets: WidgetProps[];
}
/**
 * A React component used for rendering a layout of widgets.
 *
 * @param props - {@link ContentPanelProps}
 * @internal
 */
export declare const ContentPanel: ({ layout, responsive, widgets }: ContentPanelProps) => import("react/jsx-runtime").JSX.Element;
