/**
 * Props for the CellDropOverlay component
 *
 * @internal
 */
type CellDropOverlayProps = {
    /**
     * The unique identifier for the cell drop overlay
     */
    id: string;
    /**
     * The ID of the widget related to the cell drop overlay
     */
    widgetId: string;
    /**
     * The index of the column the widget is in
     */
    columnIndex: number;
    /**
     * The index of the row the widget is in
     */
    rowIndex: number;
    /**
     * Whether to disable the side zones
     */
    disableSideZones?: boolean;
};
/**
 * Renders a cell drop overlay component that displays a replace zone and side zones for drag and drop operations.
 *
 * @internal
 */
export declare const CellDropOverlay: ({ id, widgetId, columnIndex, rowIndex, disableSideZones, }: CellDropOverlayProps) => import("react/jsx-runtime").JSX.Element;
export {};
