/**
 * The orientation of the draggable line
 */
type DraggableLineOrientation = 'vertical' | 'horizontal';
/**
 * Props for the DraggableLine component
 */
type DraggableLineProps = {
    /**
     * The unique identifier for the draggable line
     */
    id: string;
    /**
     * The orientation of the draggable line
     */
    orientation?: DraggableLineOrientation;
};
/**
 * Renders a draggable line component that can be used to resize columns or rows
 *
 * @internal
 */
export declare const DraggableLine: ({ id, orientation }: DraggableLineProps) => import("react/jsx-runtime").JSX.Element;
export {};
