import { EditableLayoutDragData } from '../../../../dashboard/components/editable-layout/types';
import { ReactNode } from 'react';
/**
 * Props for the DraggableWidgetWrapper component
 *
 * @internal
 */
type DraggableWidgetWrapperProps = {
    /**
     * The unique identifier for the draggable widget wrapper
     */
    id: string;
    /**
     * The data for the draggable widget wrapper
     */
    data: EditableLayoutDragData;
    /**
     * The child elements to render inside the wrapper
     */
    children: (withDragHandle: (element: ReactNode) => ReactNode) => ReactNode;
    /**
     * Options for drag handle
     */
    dragHandleOptions?: {
        icon?: {
            visible?: boolean;
            color?: string;
        };
    };
};
/**
 * Renders a draggable widget wrapper component that allows for drag and drop operations.
 *
 * @internal
 */
export declare const DraggableWidgetWrapper: ({ id, data, children, dragHandleOptions, }: DraggableWidgetWrapperProps) => import("react/jsx-runtime").JSX.Element;
export {};
