import { ReactNode } from 'react';
/**
 * Props for the ResizableColumns component
 *
 * @internal
 */
interface ResizableColumnsProps {
    /**
     * The child elements to render inside the resizable columns
     */
    children: ReactNode;
    /**
     * The widths of the columns (in percentage)
     */
    widths: number[];
    /**
     * The minimum width of the columns (in percentage)
     */
    minColWidth: number;
    /**
     * The callback function to call when the widths change
     */
    onWidthsChange: (widths: number[]) => void;
}
/**
 * Renders a resizable columns component that allows for column resizing.
 *
 * @internal
 */
export declare const ResizableColumns: ({ children, widths, minColWidth, onWidthsChange, }: ResizableColumnsProps) => import("react/jsx-runtime").JSX.Element;
export {};
