import { ReactNode } from 'react';
/**
 * Props for the ResizableRow component
 *
 * @internal
 */
type ResizableRowProps = {
    /**
     * The child elements to render inside the resizable row
     */
    children: ReactNode;
    /**
     * The unique identifier
     */
    id: string;
    /**
     * The height of the resizable row
     */
    height: number;
    /**
     * The minimum height of the resizable row
     */
    minHeight: number;
    /**
     * The maximum height of the resizable row
     */
    maxHeight: number;
    /**
     * The callback function to call when the height changes
     */
    onHeightChange: (height: number) => void;
};
/**
 * Renders a resizable row component that allows for row resizing.
 *
 * @internal
 */
export declare const ResizableRow: ({ children, id, height, minHeight, maxHeight, onHeightChange, }: ResizableRowProps) => import("react/jsx-runtime").JSX.Element;
export {};
