/**
 * Props for the RowDropOverlay component
 *
 * @internal
 */
type RowDropOverlayProps = {
    /**
     * The unique identifier
     */
    id: string;
    /**
     * Referring to the column index
     */
    columnIndex: number;
    /**
     * Referring to the row index
     */
    rowIndex?: number;
    /**
     * Whether is referring to the last row (different styling)
     */
    isLastRow?: boolean;
};
/**
 * Renders a row drop overlay component that allows for drop operations.
 *
 * @internal
 */
export declare const RowDropOverlay: ({ id, columnIndex, rowIndex, isLastRow }: RowDropOverlayProps) => import("react/jsx-runtime").JSX.Element;
export {};
