import { EditableLayoutDragData, EditableLayoutDropData } from '../../../dashboard/components/editable-layout/types';
import { DragStartEvent } from '@dnd-kit/core';
import { RenderTitleHandler, RenderToolbarHandler } from '../../../types';
export declare const isEditableLayoutDragData: (data: any | undefined) => data is EditableLayoutDragData;
export declare const isEditableLayoutDropData: (data: any) => data is EditableLayoutDropData;
export declare const getDraggingWidgetId: (event: DragStartEvent) => string | null;
/**
 * Compose multiple RenderToolbarHandler functions into one.
 * Each handler gets a chance to modify the toolbar.
 * If it returns `null`, the previous toolbar is passed to the next handler.
 */
export declare function composeToolbarHandlers(...handlers: (RenderToolbarHandler | undefined)[]): RenderToolbarHandler;
/**
 * Compose multiple RenderTitleHandler functions into one.
 * Each handler gets a chance to modify the title.
 * If it returns `null`, the previous tile is passed to the next handler.
 */
export declare function composeTitleHandlers(...handlers: (RenderTitleHandler | undefined)[]): RenderTitleHandler;
