import { WidgetProps } from '../../props';
import { WidgetPanelLayoutManager } from '../../dashboard/hooks/use-widgets-layout';
import { TabberTab } from '../../types';
import { TabbersOptions, WidgetsPanelColumnLayout } from '../../models';
export type UseTabber = ({ widgets, config, }: {
    widgets: WidgetProps[];
    config?: TabbersOptions | undefined;
}) => {
    layoutManager: WidgetPanelLayoutManager;
    widgets: WidgetProps[];
};
export type SingleTabberConfig = {
    tabs: TabberTab[];
    activeTab: number;
};
export declare const isTabberWidget: (widget: WidgetProps) => boolean;
export declare const modifyLayout: (tabbersOptions: TabbersOptions, tabberState: Record<string, number>) => (layout: WidgetsPanelColumnLayout) => WidgetsPanelColumnLayout;
export declare const useTabber: UseTabber;
