import { DashboardStyleOptions } from '../models';
/**
 * @internal
 */
export interface DashboardThemeParams {
    styleOptions?: DashboardStyleOptions;
}
/**
 * {@link useDashboardTheme} without tracking to be used inside other hooks or components in Compose SDK.
 *
 * @param params - Parameters of the dashboard to be retrieved
 * @internal
 */
export declare const useDashboardThemeInternal: ({ styleOptions }: DashboardThemeParams) => {
    themeSettings: {
        dashboard: {
            backgroundColor: string;
            dividerLineWidth: number;
            dividerLineColor: string;
            borderWidth: number;
            borderColor: string;
            toolbar: {
                primaryTextColor: string;
                secondaryTextColor: string;
                backgroundColor: string;
            };
        };
        palette?: import("..").ColorPaletteTheme | undefined;
    };
};
/**
 * React hook that returns dashboard theme settings
 *
 * @group Dashboards
 * @alpha
 * @internal
 */
export declare const useDashboardTheme: (args_0: DashboardThemeParams) => {
    themeSettings: {
        dashboard: {
            backgroundColor: string;
            dividerLineWidth: number;
            dividerLineColor: string;
            borderWidth: number;
            borderColor: string;
            toolbar: {
                primaryTextColor: string;
                secondaryTextColor: string;
                backgroundColor: string;
            };
        };
        palette?: import("..").ColorPaletteTheme | undefined;
    };
};
