import React, { ReactNode } from 'react';
export interface EmotionCacheProviderProps {
    children: ReactNode;
}
/**
 * A provider component that uses the Emotion cache, but only creates one if a nonce is found in the DOM.
 * This ensures that styles are injected in a way that is compliant with CSP if necessary.
 * If no nonce is found, it simply renders the children without the CacheProvider.
 */
export declare const EmotionCacheProvider: React.FC<EmotionCacheProviderProps>;
