import { AbstractTranslatableError } from '@sisense/sdk-common';
/**
 * This component is used to display an error message when a component fails to render.
 * It is used by the ErrorBoundary component.
 *
 * @param props - component properties
 * @param props.error - The error to translate and display
 * @returns A component which will replace the component when it fails to render
 */
declare const ErrorBoundaryBox: ({ error, }: {
    error: Error | AbstractTranslatableError | string;
}) => import("react/jsx-runtime").JSX.Element;
export default ErrorBoundaryBox;
