import { FunctionComponent } from 'react';
import { FilterOptionType, CriteriaFilterValueType } from './criteria-filter-operations.js';
/**
 * Props for {@link CriteriaFilterDisplay}
 */
export interface CriteriaFilterDisplayProps {
    filterType: FilterOptionType;
    values?: CriteriaFilterValueType[];
}
/**
 * UI component that provides a static, uneditable display of the criteria filter values, to be shown when vertically aligned filter tiles are collapsed.
 *
 * @example
 * ```tsx
 * return (
 *  <CriteriaFilterDisplay
 *   filterType={FilterOption.BETWEEN}
 *   values={[0, 100]}
 *   />
 * );
 * ```
 * @param props - Criteria filter menu props
 * @returns Criteria filter menu component
 */
export declare const CriteriaFilterDisplay: FunctionComponent<CriteriaFilterDisplayProps>;
