import { FunctionComponent } from 'react';
import { FilterOptionType, CriteriaFilterValueType } from './criteria-filter-operations';
import { Measure } from '@sisense/sdk-data';
import { FilterVariant } from '../common/filter-utils';
/**
 * Props for {@link CriteriaFilterMenu}
 *
 * @internal
 */
export interface CriteriaFilterMenuProps {
    filterType: FilterOptionType;
    arrangement?: FilterVariant;
    defaultValues?: CriteriaFilterValueType[];
    onUpdate?: (values: CriteriaFilterValueType[]) => void;
    disabled?: boolean;
    measures?: Measure[];
}
/**
 * UI component that provides field(s) for the user to enter values for a numeric filter.
 *
 * @internal
 */
export declare const CriteriaFilterMenu: FunctionComponent<CriteriaFilterMenuProps>;
