import dayjs from 'dayjs';
export type SelectorMode = 'fromSelector' | 'toSelector' | 'pointSelector' | 'multiPointsSelector';
export type DateRangeLimits = {
    maxDate?: dayjs.Dayjs;
    minDate?: dayjs.Dayjs;
};
export type DayjsDateRange = {
    from: dayjs.Dayjs;
    to: dayjs.Dayjs;
};
export type CalendarDateSelectorProps = {
    selectorMode: SelectorMode;
    limit?: DateRangeLimits;
    selectedDate?: dayjs.Dayjs;
    selectedDates?: dayjs.Dayjs[];
    selectedDateRange?: Partial<DayjsDateRange>;
    onDateChanged?: (selectedDate: dayjs.Dayjs) => void;
    onDatesChanged?: (selectedDates: dayjs.Dayjs[]) => void;
    onDateRangeChanged?: (dateRange: DayjsDateRange) => void;
    onSelectorModeChanged?: (newSelectorMode: SelectorMode) => void;
};
export declare function CalendarDateSelector({ selectorMode, limit, selectedDate, selectedDates, selectedDateRange, onDateChanged, onDatesChanged, onDateRangeChanged, onSelectorModeChanged, }: CalendarDateSelectorProps): import("react/jsx-runtime").JSX.Element;
