import { RelativeDateFilter as RelativeDateFilterType } from '@sisense/sdk-data';
import { FilterVariant } from '../../common/index.js';
import { FunctionComponent } from 'react';
/**
 * @internal
 */
export interface RelativeDateFilterProps {
    filter: RelativeDateFilterType;
    arrangement?: FilterVariant;
    onUpdate: (filter: RelativeDateFilterType) => void;
    disabled: boolean;
    limit?: {
        maxDate: string;
        minDate: string;
    };
}
/**
 * @internal
 */
export declare const RelativeDateFilter: FunctionComponent<RelativeDateFilterProps>;
export declare const DATE_OPS_MAP: {
    readonly last: "dateFilter.last";
    readonly next: "dateFilter.next";
};
export declare const DATE_LEVELS_MAP: {
    readonly Days: "dateFilter.days";
    readonly Weeks: "dateFilter.weeks";
    readonly Months: "dateFilter.months";
    readonly Quarters: "dateFilter.quarters";
    readonly Years: "dateFilter.years";
};
