import { CalendarRangeValue, CalendarSelectLimits, CalendarSelectTypes } from './types';
type BaseCalendarSelectProps = {
    limits?: CalendarSelectLimits;
    placeholder?: string;
    width?: number | string;
};
type CalendarSingleSelectProps = BaseCalendarSelectProps & {
    type: CalendarSelectTypes.SINGLE_SELECT;
    value?: Date;
    onChange?: (value: Date) => void;
};
type CalendarMultiSelectProps = BaseCalendarSelectProps & {
    type: CalendarSelectTypes.MULTI_SELECT;
    value?: Date[];
    onChange?: (value: Date[]) => void;
};
type CalendarRangeSelectProps = BaseCalendarSelectProps & {
    type: CalendarSelectTypes.RANGE_FROM_SELECT | CalendarSelectTypes.RANGE_TO_SELECT;
    value?: CalendarRangeValue;
    onChange?: (value: CalendarRangeValue) => void;
};
type CalendarSelectProps = CalendarSingleSelectProps | CalendarMultiSelectProps | CalendarRangeSelectProps;
export declare function CalendarSelect(props: CalendarSelectProps): import("react/jsx-runtime").JSX.Element;
export {};
