import { Attribute, DataSource, Filter } from '@sisense/sdk-data';
import { HookEnableParam } from '../../../../common/hooks/types';
interface UseGetAttributeStatsParams extends HookEnableParam {
    attribute: Attribute;
    filters?: Filter[];
    /** Default data source to use if attribute does not have one */
    defaultDataSource?: DataSource;
}
export type NumericAttributeStats = {
    count: number;
    min: number;
    max: number;
};
type TextAttributeStats = {
    count: number;
};
export type DatetimeAttributeStats = {
    count: number;
    min: string;
    max: string;
};
type AttributeStats = NumericAttributeStats | TextAttributeStats | DatetimeAttributeStats;
type AttributeStatsState<T = AttributeStats> = {
    isLoading: boolean;
    isError: boolean;
    isSuccess: boolean;
    error: Error | undefined;
    data: T | undefined;
};
export declare const useGetAttributeStats: <T = AttributeStats>(params: UseGetAttributeStatsParams) => AttributeStatsState<T>;
export {};
