import { TFunction } from '@sisense/sdk-common';
import { Filter, MembersFilter, DimensionalLevelAttribute, RelativeDateFilter } from '@sisense/sdk-data';
export declare function isSupportedByFilterEditor(filter: Filter): boolean;
export declare function isIncludeAllFilter(filter: Filter): filter is MembersFilter;
export declare function isIncludeMembersFilter(filter: Filter): filter is MembersFilter;
export declare function isExcludeMembersFilter(filter: Filter): filter is MembersFilter;
export declare function isConditionalFilter(filter: Filter): boolean;
export declare function isNumericBetweenFilter(filter: Filter): boolean;
export declare function isRelativeDateFilterWithAnchor(filter: Filter): filter is RelativeDateFilter;
export declare function isRelativeDateFilterWithoutAnchor(filter: Filter): filter is RelativeDateFilter;
export declare function createLevelAttribute(baseLevelAttribute: DimensionalLevelAttribute, granularity: string, t: TFunction): DimensionalLevelAttribute;
/**
 * Formats a given Date object into a string in the format "YYYY-MM-DDT00:00:00".
 *
 * @param {Date} date - The Date object to format.
 * @returns {string} The formatted date string in "YYYY-MM-DDT00:00:00" format.
 */
export declare function convertDateToMemberString(date: Date): string;
