/// <reference types="react" />
import { DataSource, Filter } from '@sisense/sdk-data';
/**
 * Props of the {@link FilterTile} component
 *
 */
export interface FilterTileProps {
    /** Filter to display */
    filter: Filter;
    /** Callback to handle filter change */
    onChange: (filter: Filter | null) => void;
    /** Filter delete callback */
    onDelete?: () => void;
    /** Filter edit callback */
    onEdit?: (
    /** Index of the filter level that triggers the onEdit action (in the case of a CascadingFilter) */
    levelIndex?: number) => void;
    /** Default data source used for filter tiles */
    defaultDataSource?: DataSource;
}
/**
 * Facade component that renders a filter tile based on filter type
 *
 * @group Filter Tiles
 * @shortDescription Facade component rendering a filter tile based on filter type
 */
export declare const FilterTile: React.FC<FilterTileProps>;
