/// <reference types="react" />
import { Filter, DataSource } from '@sisense/sdk-data';
import type { UseExistingFilterEditingConfig } from '../types';
type UseExistingFilterEditingParams = {
    onFilterChanged: (filter: Filter) => void;
    defaultDataSource?: DataSource;
    config?: UseExistingFilterEditingConfig;
};
type UseExistingFilterEditingReturn = {
    ExistingFilterEditor: () => JSX.Element | null;
    startEditingFilter: (anchorEl: HTMLElement, filter: Filter, levelIndex?: number) => void;
};
/**
 * Hook that keeps editing process of existing filters.
 * Returns a function to start editing a filter and a component that renders the filter editing popover.
 */
export declare const useExistingFilterEditing: ({ config, defaultDataSource, onFilterChanged, }: UseExistingFilterEditingParams) => UseExistingFilterEditingReturn;
export declare function isFilterSupportEditing(filter: Filter): boolean;
export {};
