/// <reference types="react" />
import { DataSource, Filter } from '@sisense/sdk-data';
import { UseNewFilterCreationConfig } from '../types';
import { AttributiveElement } from '../../../../data-browser/dimensions-browser/types';
type UseNewFilterCreationParams = {
    defaultDataSource?: DataSource;
    dataSources: DataSource[];
    onFilterCreated: (filter: Filter) => void;
    config?: UseNewFilterCreationConfig;
    disabledAttributes?: AttributiveElement[];
};
type UseNewFilterCreationReturn = {
    NewFilterCreator: () => JSX.Element | null;
    startFilterCreation: (anchorEl: HTMLElement) => void;
};
/**
 * Hook that keeps new filter creation process.
 * Returns a function to start creation a new filter and a component that renders the filter creation popovers.
 */
export declare const useNewFilterCreation: ({ dataSources, onFilterCreated, defaultDataSource, config, disabledAttributes, }: UseNewFilterCreationParams) => UseNewFilterCreationReturn;
export {};
