import { ClientApplication } from '../app/client-application.js';
import { DataSource, DimensionalCalculatedMeasure } from '@sisense/sdk-data';
/**
 * Fetch a formula by oid from the default Sisense instance
 *
 * @internal
 * @param oid - Formula identifier in Sisense instance
 * @param app - Client application
 */
export declare function fetchFormulaByOid(oid: string, app: ClientApplication): Promise<DimensionalCalculatedMeasure | null>;
/**
 * Fetch a shared formula by name and data source from the Sisense instance
 *
 * @internal
 * @param name - Formula name/title in Sisense instance
 * @param dataSource - Data source in Sisense instance
 */
export declare function fetchFormula(name: string, dataSource: DataSource, app: ClientApplication): Promise<DimensionalCalculatedMeasure | null>;
