import { IndicatorChartDataOptionsInternal } from './chart-data-options/types';
import { type FunctionComponent } from 'react';
import { IndicatorChartData } from './chart-data/types';
import { IndicatorChartDesignOptions } from './chart-options-processor/translations/design-options';
import { createIndicatorLegacyChartOptions } from './charts/indicator/indicator-legacy-chart-options';
import { ChartRendererProps } from './chart/types';
import { IndicatorRenderOptions } from './charts/indicator/indicator-render-options';
import { IndicatorDataPointEventHandler } from './props';
export type IndicatorLegacyChartOptions = ReturnType<typeof createIndicatorLegacyChartOptions>;
type IndicatorOnBeforeRender = (options: IndicatorRenderOptions) => IndicatorRenderOptions;
export interface IndicatorCanvasProps {
    chartData: IndicatorChartData;
    dataOptions: IndicatorChartDataOptionsInternal;
    designOptions: IndicatorChartDesignOptions;
    onBeforeRender?: IndicatorOnBeforeRender;
    onDataPointClick?: IndicatorDataPointEventHandler;
}
/**
 * @internal
 */
export declare const IndicatorCanvas: FunctionComponent<IndicatorCanvasProps>;
export declare const isIndicatorCanvasProps: (props: ChartRendererProps) => props is IndicatorCanvasProps;
export {};
