import { DashboardProps } from '../../dashboard';
import { DashboardModel } from './dashboard-model.js';
import { DashboardDto } from '../../api/types/dashboard-dto.js';
import { CompleteThemeSettings } from '../../types.js';
import { AppSettings } from '../../app/settings/settings.js';
/**
 * Translates {@link DashboardModel} to {@link DashboardProps}.
 *
 * @example
 * ```tsx
 * <Dashboard {...dashboardModelTranslator.toDashboardProps(dashboardModel)} />
 * ```
 */
export declare function toDashboardProps(dashboardModel: DashboardModel): DashboardProps;
/**
 * Creates a new dashboard model from a dashboard DTO.
 *
 * @param dashboardDto - The dashboard DTO to be converted to a dashboard model
 * @param themeSettings - Optional theme settings
 * @param appSettings - Optional application settings
 * @internal
 */
export declare function fromDashboardDto(dashboardDto: DashboardDto, themeSettings?: CompleteThemeSettings, appSettings?: AppSettings): DashboardModel;
