import { type LayoutDto, type FilterDto, type CascadingFilterDto, DashboardDto } from '../../api/types/dashboard-dto';
import type { WidgetsPanelColumnLayout, WidgetsOptions, TabbersOptions } from './types';
import { Filter, FilterRelations, FilterRelationsModel, FilterRelationsModelNode } from '@sisense/sdk-data';
import { WidgetDto } from '../../widget-by-id/types';
import { RestApi } from '../../api/rest-api';
export declare const translateLayout: (layout: LayoutDto) => WidgetsPanelColumnLayout;
export declare function extractDashboardFilters(dashboardFilters: Array<FilterDto | CascadingFilterDto>, filterRelationsModel?: FilterRelationsModel | FilterRelationsModelNode): Filter[] | FilterRelations;
export declare function translateWidgetsOptions(widgets?: WidgetDto[]): WidgetsOptions;
export declare function translateTabbersOptions(widgets?: WidgetDto[]): TabbersOptions;
/**
 * Replace all shared formulas, which defined by id references, in the dashboard with their actual values.
 *
 * @param dashboard - The dashboard DTO to replace shared formulas in
 * @param api - The REST API instance
 * @returns The dashboard DTO with shared formulas, defined by id references, replaced
 */
export declare function withSharedFormulas(dashboard: DashboardDto, api: RestApi): Promise<DashboardDto>;
