/// <reference types="react" />
import { PieChartProps } from './props';
/**
 * A React component representing data in a circular graph with the data shown as slices of a whole,
 * with each slice representing a proportion of the total.
 *
 * ## Example
 *
 * Pie chart displaying total revenue per age range from the Sample ECommerce data model.
 *
 * <iframe
 *  src='https://csdk-playground.sisense.com/?example=charts%2Fpie-chart&mode=docs'
 *  width=800
 *  height=870
 *  style='border:none;'
 * />
 *
 * Additional Pie Chart examples:
 *
 * - [Donut Pie Chart](https://www.sisense.com/developers/playground/?example=charts%2Fpie-chart-donut)
 * - [Ring Pie Chart](https://www.sisense.com/developers/playground/?example=charts%2Fpie-chart-ring)
 *
 * @param props - Pie chart properties
 * @returns Pie Chart component
 * @group Charts
 */
export declare const PieChart: import("react").FunctionComponent<PieChartProps>;
