import { type JaqlRequest } from '@sisense/sdk-pivot-client';
import type { DataSource, Filter, FilterRelations } from '@sisense/sdk-data';
import { ExecutePivotQueryParams } from '../../query-execution';
import { PivotTableDataOptionsInternal } from '../../chart-data-options/types';
export declare const getPivotQueryOptions: (dataOptions: PivotTableDataOptionsInternal) => Pick<ExecutePivotQueryParams, 'rows' | 'columns' | 'values' | 'grandTotals'>;
/**
 * A hook that returns the JAQL request object from pivot table props.
 *
 * @internal
 */
export declare const usePivotTableQuery: ({ dataSet, dataOptionsInternal, filters, highlights, }: {
    dataSet?: DataSource | undefined;
    dataOptionsInternal: PivotTableDataOptionsInternal;
    filters?: Filter[] | FilterRelations | undefined;
    highlights?: Filter[] | undefined;
}) => {
    jaql: JaqlRequest | undefined;
    error: Error | undefined;
};
