/// <reference types="react" />
import { type PivotBuilder } from '@sisense/sdk-pivot-client';
import type { CompleteThemeSettings, PivotTableStyleOptions } from '../../types';
import type { PivotTableDataOptions } from '../../chart-data-options/types';
import type { ContainerSize } from '../../dynamic-size-container/dynamic-size-container';
type PivotRenderOptions = {
    /** The pivot builder instance. */
    pivotBuilder: PivotBuilder;
    /** The pivot table data options. */
    dataOptions: PivotTableDataOptions;
    /** The pivot table style options. */
    styleOptions: PivotTableStyleOptions;
    /** The theme settings. */
    themeSettings: CompleteThemeSettings;
    /** The size of the pivot table container. */
    size: ContainerSize | null;
    /** Callback to handle total height change. */
    onTotalHeightChange?: (totalHeight: number) => void;
};
/**
 * A hook that renders the pivot table.
 */
export declare function useRenderPivot({ pivotBuilder, dataOptions, styleOptions, themeSettings, size, onTotalHeightChange, }: PivotRenderOptions): {
    pivotElement: JSX.Element | null;
};
export {};
