import type { DateFormat } from './apply-date-format';
type replacement = string;
type getReplacementFn = (matchForSearchText: string) => replacement;
/**
 * Returns a new date format string.
 *
 * If `searchText` is found in `oldDateFormat`, then
 * all occurrences of `searchText` are replaced. The replacement text
 * will be whatever is returned by the `getReplacement` function.
 *
 * @param oldDateFormat
 * @param searchText
 * @param getReplacement
 */
export declare function newDateFormat(oldDateFormat: DateFormat, searchText: string, getReplacement: getReplacementFn): DateFormat;
export {};
