import { PropsWithChildren, type FunctionComponent } from 'react';
import { SisenseContextPayload } from './sisense-context';
import { CustomContextProviderProps } from '../types';
/** @internal */
export type CustomSisenseContext = SisenseContextPayload;
/** @internal */
export type CustomSisenseContextProviderProps = CustomContextProviderProps<CustomSisenseContext>;
/**
 * Custom Sisense Context Provider component that allows passing external context.
 *
 * Note: it specifically designed to serve as a bridge for passing context between an external wrapper and child React components.
 *
 * @internal
 */
export declare const CustomSisenseContextProvider: FunctionComponent<PropsWithChildren<CustomSisenseContextProviderProps>>;
