/// <reference types="react" />
import { ClientApplication } from '../app/client-application';
import { TrackingEventDetails } from '@sisense/sdk-tracking';
import { SisenseContextProviderProps } from '..';
export type SisenseContextPayload = {
    isInitialized: boolean;
    app?: ClientApplication;
    tracking: {
        enabled: boolean;
        packageName: string;
        onTrackingEvent?: (payload: TrackingEventDetails) => void;
    };
    errorBoundary: {
        showErrorBox: boolean;
        onError?: SisenseContextProviderProps['onError'];
    };
};
export declare const SisenseContext: import("react").Context<SisenseContextPayload>;
export declare const useSisenseContext: () => SisenseContextPayload;
