/// <reference types="react" />
import { TableProps } from '../props';
/**
 * Table with aggregation and pagination.
 *
 * ## Example
 *
 * Table displaying year, condition, and total revenue from the Sample ECommerce data model.
 *
 * <iframe
 *  src='https://csdk-playground.sisense.com/?example=tables%2Faggregated-table&mode=docs'
 *  width=800
 *  height=870
 *  style='border:none;'
 * />
 *
 * @param props - Table properties
 * @returns Table component
 * @group Data Grids
 */
export declare const Table: import("react").FunctionComponent<TableProps>;
export declare const DEFAULT_TABLE_ROWS_PER_PAGE: 25;
/** How many pages of data will be loaded in one query */
export declare const PAGES_BATCH_SIZE = 10;
