import { PropsWithChildren } from 'react';
import { CompleteThemeSettings, CustomContextProviderProps } from '../types';
/** @internal */
export type CustomThemeProviderProps = CustomContextProviderProps<{
    themeSettings: CompleteThemeSettings;
    skipTracking?: boolean;
}>;
/**
 * Custom Theme Provider component that allows passing external theme context.
 *
 * Note: it specifically designed to serve as a bridge for passing context between an external wrapper and child React components.
 *
 * @internal
 */
export declare const CustomThemeProvider: import("react").FunctionComponent<PropsWithChildren<CustomThemeProviderProps>>;
