import { CompleteThemeSettings, ThemeOid, ThemeSettings } from '../types';
/**
 * Returns the theme settings for the given theme OID or theme settings and error if it happened.
 *
 * If the given theme is a theme OID, the theme settings will be fetched from the Sisense instance.
 * If the given theme is a theme settings object, the theme settings will be merged with parent's one and
 * returned as is.
 *
 * @param userTheme Theme OID or theme settings object
 * @returns Theme settings and error if it happened
 */
export declare function useThemeSettings(userTheme?: ThemeOid | ThemeSettings): [CompleteThemeSettings, null] | [null, Error];
