import type { HttpClient } from '@sisense/sdk-rest-client';
import type { ThemeOid, CompleteThemeSettings } from '../types';
import { type LegacyPalette } from './legacy-design-settings';
/**
 * Fetches theme settings from the Sisense instance and converts them to CompleteThemeSettings.
 *
 * @param themeOid - Theme oid.
 * @param httpClient - Sisense REST API client.
 * @returns CompleteThemeSettings from server.
 * @internal
 */
export declare function getThemeSettingsByOid(themeOid: ThemeOid, httpClient: Pick<HttpClient, 'get' | 'url'>): Promise<CompleteThemeSettings>;
export declare function getLegacyPalette(paletteName: string, httpClient: Pick<HttpClient, 'get'>): Promise<LegacyPalette>;
