import { TranslationDictionary } from './en.js';
export type { TranslationDictionary };
/**
 * A reference to the namespace of the translation resources.
 * This namespace is used to access the translation resources in the i18next instance.
 *
 * @internal
 */
export declare const PACKAGE_NAMESPACE: "sdkUi";
export declare const resources: {
    en: {
        errors: {
            noSisenseContext: string;
            restApiNotReady: string;
            componentRenderError: string;
            sisenseContextNoAuthentication: string;
            chartNoSisenseContext: string;
            widgetByIdNoSisenseContext: string;
            widgetByIdInvalidIdentifier: string;
            dashboardWidgetsInvalidIdentifiers: string;
            executeQueryNoSisenseContext: string;
            executeQueryNoDataSource: string;
            dataOptions: {
                noDimensionsAndMeasures: string;
                attributeNotFound: string;
                measureNotFound: string;
                filterAttributeNotFound: string;
                highlightAttributeNotFound: string;
            };
            optionsTranslation: {
                invalidStyleOptions: string;
                invalidInternalDataOptions: string;
            };
            themeNotFound: string;
            paletteNotFound: string;
            chartTypeNotSupported: string;
            chartInvalidProps: string;
            unsupportedWidgetType: string;
            sisenseContextNotFound: string;
            dashboardInvalidIdentifier: string;
            sharedFormula: {
                identifierExpected: string;
                failedToFetch: string;
            };
            widgetModel: {
                incomleteWidget: string;
                unsupportedWidgetTypeDto: string;
                pivotWidgetNotSupported: string;
                textWidgetNotSupported: string;
                onlyTableWidgetSupported: string;
                onlyPivotWidgetSupported: string;
                onlyTextWidgetSupported: string;
                onlyCustomWidgetSupported: string;
                unsupportedWidgetType: string;
                unsupportedFusionWidgetType: string;
            };
            unknownFilterInFilterRelations: string;
            filterRelationsNotSupported: string;
            invalidFilterType: string;
            secondsDateTimeLevelSupportedOnlyForLive: string;
            missingMenuRoot: string;
            missingModalRoot: string;
            missingDataSource: string;
            incorrectOnDataReadyHandler: string;
            undefinedDataSource: string;
            emptyModel: string;
            missingMetadata: string;
            missingModelTitle: string;
            httpClientNotFound: string;
            serverSettingsNotLoaded: string;
            requiredColumnMissing: string;
            unexpectedChartType: string;
            noRowNumColumn: string;
            ticIntervalCalculationFailed: string;
            polarChartDesignOptionsExpected: string;
            polarChartDesignOptionsNotExpected: string;
            indicatorInvalidRelativeSize: string;
            unsupportedMapType: string;
            mapLoadingFailed: string;
            cascadingFilterOriginalNotFound: string;
            dashboardLoadFailed: string;
            widgetLoadFailed: string;
            dashboardWithOidNotFound: string;
            failedToAddWidget: string;
            widgetWithOidNotFound: string;
            widgetWithOidNotFoundInDashboard: string;
            widgetEmptyResponse: string;
            dateFilterIncorrectOperator: string;
            synchronizedFilterInvalidProps: string;
            methodNotImplemented: string;
            noPivotClient: string;
            unexpectedCacheValue: string;
            notAMembersFilter: string;
            drilldownNoInitialDimension: string;
            otherWidgetTypesNotSupported: string;
            dataBrowser: {
                dimensionNotFound: string;
                attributeNotFound: string;
            };
            addFilterPopover: {
                noDataSources: string;
            };
            tabberInvalidConfiguration: string;
        };
        errorBoxText: string;
        chartNoData: string;
        filters: string;
        widgetDetails: string;
        cancel: string;
        includeAll: string;
        formatting: {
            number: {
                abbreviations: {
                    thousand: string;
                    million: string;
                    billion: string;
                    trillion: string;
                };
            };
        };
        criteriaFilter: {
            displayModePrefix: string;
            equals: string;
            notEquals: string;
            lessThan: string;
            lessThanOrEqual: string;
            greaterThan: string;
            greaterThanOrEqual: string;
            between: string;
            notBetween: string;
            top: string;
            bottom: string;
            is: string;
            isNot: string;
            contains: string;
            notContains: string;
            startsWith: string;
            notStartsWith: string;
            endsWith: string;
            notEndsWith: string;
            like: string;
            byMeasure: string;
            by: string;
        };
        dateFilter: {
            last: string;
            next: string;
            from: string;
            to: string;
            count: string;
            select: string;
            today: string;
            days: string;
            weeks: string;
            months: string;
            quarters: string;
            years: string;
            earliestDate: string;
            latestDate: string;
            todayOutOfRange: string;
            dateRange: {
                fromTo: string;
                from: string;
                to: string;
            };
        };
        boxplot: {
            tooltip: {
                whiskers: string;
                box: string;
                min: string;
                median: string;
                max: string;
            };
        };
        treemap: {
            tooltip: {
                ofTotal: string;
                of: string;
            };
        };
        advanced: {
            tooltip: {
                min: string;
                max: string;
                forecastValue: string;
                forecast: string;
                trend: string;
                trendLocalValue: string;
                confidenceInterval: string;
                trendType: string;
                trendDataKey: string;
                trendData: {
                    min: string;
                    max: string;
                    median: string;
                    average: string;
                };
            };
        };
        arearange: {
            tooltip: {
                min: string;
                max: string;
            };
        };
        unsupportedFilterMessage: string;
        unsupportedFilter: string;
        commonFilter: {
            clearSelectionButton: string;
            selectMenuItem: string;
            unselectMenuItem: string;
        };
        customFilterTileMessage: string;
        filterRelations: {
            and: string;
            or: string;
            andOrFormulaApplied: string;
        };
        drilldown: {
            drillMenuItem: string;
            breadcrumbsAllSuffix: string;
            breadcrumbsPrev: string;
            breadcrumbsNext: string;
            popover: {
                members: string;
                table: string;
                column: string;
            };
        };
        widgetHeader: {
            info: {
                details: string;
                tooltip: string;
            };
            menu: {
                deleteWidget: string;
                distributeEqualWidth: string;
            };
        };
        customWidgets: {
            registerPrompt: string;
        };
        ai: {
            analyticsChatbot: string;
            dataTopics: string;
            chatbotDescription: string;
            topicSelectPrompt: string;
            preview: string;
            clearHistoryPrompt: string;
            config: {
                inputPromptText: string;
                welcomeText: string;
                suggestionsWelcomeText: string;
            };
            buttons: {
                insights: string;
                correctResponse: string;
                incorrectResponse: string;
                clearChat: string;
                refresh: string;
                readMore: string;
                collapse: string;
                yes: string;
                no: string;
                seeMore: string;
            };
            disclaimer: {
                poweredByAi: string;
                rateRequest: string;
            };
            errors: {
                chatUnavailable: string;
                fetchHistory: string;
                recommendationsNotAvailable: string;
                insightsNotAvailable: string;
                VectorDBEmptyResponseError: string;
                LlmBadConfigurationError: string;
                ChartTypeUnsupportedError: string;
                BlockedByLlmContentFiltering: string;
                LlmContextLengthExceedsLimitError: string;
                UserPromptExeedsLimitError: string;
                unexpectedChatResponse: string;
                unexpected: string;
                unknownResponse: string;
                invalidInput: string;
                noAvailableDataTopics: string;
            };
        };
        attribute: {
            datetimeName: {
                years: string;
                quarters: string;
                months: string;
                weeks: string;
                days: string;
                hours: string;
                minutes: string;
            };
        };
        filterEditor: {
            buttons: {
                apply: string;
                cancel: string;
                selectAll: string;
                clearAll: string;
            };
            labels: {
                includeAll: string;
                allowMultiSelection: string;
                from: string;
                to: string;
                includeCurrent: string;
            };
            placeholders: {
                selectFromList: string;
                enterEntry: string;
                enterValue: string;
                select: string;
            };
            conditions: {
                exclude: string;
                contains: string;
                notContain: string;
                startsWith: string;
                notStartsWith: string;
                endsWith: string;
                notEndsWith: string;
                equals: string;
                notEquals: string;
                isEmpty: string;
                isNotEmpty: string;
                lessThan: string;
                lessThanOrEqual: string;
                greaterThan: string;
                greaterThanOrEqual: string;
                isWithin: string;
            };
            validationErrors: {
                invalidNumber: string;
                invalidNumericRange: string;
            };
            datetimeLevels: {
                year: string;
                quarter: string;
                month: string;
                week: string;
                day: string;
                aggrigatedHour: string;
                aggrigatedMinutesRoundTo15: string;
            };
            relativeTypes: {
                last: string;
                this: string;
                next: string;
            };
            datetimePositions: {
                before: string;
                after: string;
            };
        };
        dataBrowser: {
            addFilter: string;
            selectField: string;
            configureFilter: string;
            noResults: string;
            searchPlaceholder: string;
        };
        pivotTable: {
            grandTotal: string;
            subTotal: string;
        };
        dashboard: {
            toolbar: {
                undo: string;
                redo: string;
                cancel: string;
                apply: string;
                editLayout: string;
                viewMode: string;
            };
        };
        jumpToDashboard: {
            defaultCaption: string;
        };
    };
    uk: {
        errors: {
            noSisenseContext: string;
            restApiNotReady: string;
            componentRenderError: string;
            sisenseContextNoAuthentication: string;
            chartNoSisenseContext: string;
            widgetByIdNoSisenseContext: string;
            widgetByIdInvalidIdentifier: string;
            dashboardWidgetsInvalidIdentifiers: string;
            executeQueryNoSisenseContext: string;
            executeQueryNoDataSource: string;
            dataOptions: {
                noDimensionsAndMeasures: string;
                attributeNotFound: string;
                measureNotFound: string;
                filterAttributeNotFound: string;
                highlightAttributeNotFound: string;
            };
            optionsTranslation: {
                invalidStyleOptions: string;
                invalidInternalDataOptions: string;
            };
            themeNotFound: string;
            paletteNotFound: string;
            chartTypeNotSupported: string;
            chartInvalidProps: string;
            unsupportedWidgetType: string;
            sisenseContextNotFound: string;
            dashboardInvalidIdentifier: string;
            sharedFormula: {
                identifierExpected: string;
                failedToFetch: string;
            };
            widgetModel: {
                incomleteWidget: string;
                unsupportedWidgetTypeDto: string;
                pivotWidgetNotSupported: string;
                textWidgetNotSupported: string;
                onlyTableWidgetSupported: string;
                onlyPivotWidgetSupported: string;
                onlyTextWidgetSupported: string;
                onlyCustomWidgetSupported: string;
                unsupportedWidgetType: string;
                unsupportedFusionWidgetType: string;
            };
            unknownFilterInFilterRelations: string;
            filterRelationsNotSupported: string;
            invalidFilterType: string;
            secondsDateTimeLevelSupportedOnlyForLive: string;
            missingMenuRoot: string;
            missingModalRoot: string;
            missingDataSource: string;
            incorrectOnDataReadyHandler: string;
            undefinedDataSource: string;
            emptyModel: string;
            missingMetadata: string;
            missingModelTitle: string;
            httpClientNotFound: string;
            serverSettingsNotLoaded: string;
            requiredColumnMissing: string;
            unexpectedChartType: string;
            noRowNumColumn: string;
            ticIntervalCalculationFailed: string;
            polarChartDesignOptionsExpected: string;
            polarChartDesignOptionsNotExpected: string;
            indicatorInvalidRelativeSize: string;
            unsupportedMapType: string;
            mapLoadingFailed: string;
            cascadingFilterOriginalNotFound: string;
            dashboardLoadFailed: string;
            widgetLoadFailed: string;
            dashboardWithOidNotFound: string;
            failedToAddWidget: string;
            widgetWithOidNotFound: string;
            widgetWithOidNotFoundInDashboard: string;
            widgetEmptyResponse: string;
            dateFilterIncorrectOperator: string;
            synchronizedFilterInvalidProps: string;
            methodNotImplemented: string;
            noPivotClient: string;
            unexpectedCacheValue: string;
            notAMembersFilter: string;
            drilldownNoInitialDimension: string;
            otherWidgetTypesNotSupported: string;
            dataBrowser: {
                dimensionNotFound: string;
                attributeNotFound: string;
            };
            addFilterPopover: {
                noDataSources: string;
            };
            tabberInvalidConfiguration: string;
        };
        errorBoxText: string;
        chartNoData: string;
        filters: string;
        widgetDetails: string;
        cancel: string;
        includeAll: string;
        formatting: {
            number: {
                abbreviations: {
                    thousand: string;
                    million: string;
                    billion: string;
                    trillion: string;
                };
            };
        };
        criteriaFilter: {
            displayModePrefix: string;
            equals: string;
            notEquals: string;
            lessThan: string;
            lessThanOrEqual: string;
            greaterThan: string;
            greaterThanOrEqual: string;
            between: string;
            notBetween: string;
            top: string;
            bottom: string;
            is: string;
            isNot: string;
            contains: string;
            notContains: string;
            startsWith: string;
            notStartsWith: string;
            endsWith: string;
            notEndsWith: string;
            like: string;
            byMeasure: string;
            by: string;
        };
        dateFilter: {
            last: string;
            next: string;
            from: string;
            to: string;
            count: string;
            select: string;
            today: string;
            days: string;
            weeks: string;
            months: string;
            quarters: string;
            years: string;
            earliestDate: string;
            latestDate: string;
            todayOutOfRange: string;
            dateRange: {
                fromTo: string;
                from: string;
                to: string;
            };
        };
        boxplot: {
            tooltip: {
                whiskers: string;
                box: string;
                min: string;
                median: string;
                max: string;
            };
        };
        treemap: {
            tooltip: {
                ofTotal: string;
                of: string;
            };
        };
        advanced: {
            tooltip: {
                min: string;
                max: string;
                forecastValue: string;
                forecast: string;
                trend: string;
                trendLocalValue: string;
                confidenceInterval: string;
                trendType: string;
                trendDataKey: string;
                trendData: {
                    min: string;
                    max: string;
                    median: string;
                    average: string;
                };
            };
        };
        arearange: {
            tooltip: {
                min: string;
                max: string;
            };
        };
        unsupportedFilterMessage: string;
        unsupportedFilter: string;
        commonFilter: {
            clearSelectionButton: string;
            selectMenuItem: string;
            unselectMenuItem: string;
        };
        customFilterTileMessage: string;
        filterRelations: {
            and: string;
            or: string;
            andOrFormulaApplied: string;
        };
        drilldown: {
            drillMenuItem: string;
            breadcrumbsAllSuffix: string;
            breadcrumbsPrev: string;
            breadcrumbsNext: string;
            popover: {
                members: string;
                table: string;
                column: string;
            };
        };
        widgetHeader: {
            info: {
                details: string;
                tooltip: string;
            };
            menu: {
                deleteWidget: string;
                distributeEqualWidth: string;
            };
        };
        customWidgets: {
            registerPrompt: string;
        };
        ai: {
            analyticsChatbot: string;
            dataTopics: string;
            chatbotDescription: string;
            topicSelectPrompt: string;
            preview: string;
            clearHistoryPrompt: string;
            config: {
                inputPromptText: string;
                welcomeText: string;
                suggestionsWelcomeText: string;
            };
            buttons: {
                insights: string;
                correctResponse: string;
                incorrectResponse: string;
                clearChat: string;
                refresh: string;
                readMore: string;
                collapse: string;
                yes: string;
                no: string;
                seeMore: string;
            };
            disclaimer: {
                poweredByAi: string;
                rateRequest: string;
            };
            errors: {
                chatUnavailable: string;
                fetchHistory: string;
                recommendationsNotAvailable: string;
                insightsNotAvailable: string;
                VectorDBEmptyResponseError: string;
                LlmBadConfigurationError: string;
                ChartTypeUnsupportedError: string;
                BlockedByLlmContentFiltering: string;
                LlmContextLengthExceedsLimitError: string;
                UserPromptExeedsLimitError: string;
                unexpectedChatResponse: string;
                unexpected: string;
                unknownResponse: string;
                invalidInput: string;
                noAvailableDataTopics: string;
            };
        };
        attribute: {
            datetimeName: {
                years: string;
                quarters: string;
                months: string;
                weeks: string;
                days: string;
                hours: string;
                minutes: string;
            };
        };
        filterEditor: {
            buttons: {
                apply: string;
                cancel: string;
                selectAll: string;
                clearAll: string;
            };
            labels: {
                includeAll: string;
                allowMultiSelection: string;
                from: string;
                to: string;
                includeCurrent: string;
            };
            placeholders: {
                selectFromList: string;
                enterEntry: string;
                enterValue: string;
                select: string;
            };
            conditions: {
                exclude: string;
                contains: string;
                notContain: string;
                startsWith: string;
                notStartsWith: string;
                endsWith: string;
                notEndsWith: string;
                equals: string;
                notEquals: string;
                isEmpty: string;
                isNotEmpty: string;
                lessThan: string;
                lessThanOrEqual: string;
                greaterThan: string;
                greaterThanOrEqual: string;
                isWithin: string;
            };
            validationErrors: {
                invalidNumber: string;
                invalidNumericRange: string;
            };
            datetimeLevels: {
                year: string;
                quarter: string;
                month: string;
                week: string;
                day: string;
                aggrigatedHour: string;
                aggrigatedMinutesRoundTo15: string;
            };
            relativeTypes: {
                last: string;
                this: string;
                next: string;
            };
            datetimePositions: {
                before: string;
                after: string;
            };
        };
        dataBrowser: {
            addFilter: string;
            selectField: string;
            configureFilter: string;
            noResults: string;
            searchPlaceholder: string;
        };
        pivotTable: {
            grandTotal: string;
            subTotal: string;
        };
        dashboard: {
            toolbar: {
                undo: string;
                redo: string;
                cancel: string;
                apply: string;
                editLayout: string;
                viewMode: string;
            };
        };
        jumpToDashboard: {
            defaultCaption: string;
        };
    };
};
