import { JaqlDataSource } from '@sisense/sdk-data';
import { StyledMeasureColumn, StyledColumn, Color } from '../types.js';
import { Panel, PanelItem, FusionWidgetType, WidgetStyle, BoxplotWidgetStyle } from './types.js';
import { WidgetDataOptions } from '../models/index.js';
/** @internal */
export declare function applyStatisticalModels(dataOption: StyledMeasureColumn, statisticalModels?: {
    forecast?: {
        isEnabled: boolean;
        isViewerDisabled: boolean;
        confidence: number;
        forecastPeriod: number;
    };
    trend?: {
        isEnabled: boolean;
        isViewerDisabled: boolean;
        trendType: string;
    };
}): StyledMeasureColumn;
export declare function createDataColumn(item: PanelItem, customPaletteColors?: Color[]): StyledColumn | StyledMeasureColumn;
/** @internal */
export declare function createPanelItem(column: StyledColumn | StyledMeasureColumn): PanelItem;
/** @internal */
export declare const createDataOptionsFromPanels: (panels: Panel[], variantColors: Color[]) => {
    [key: string]: any[];
};
export declare const createPanelsFromDataOptions: (dataOptions: {
    [key: string]: any[];
}) => {
    name: string;
    items: {
        jaql: any;
    }[];
}[];
export declare function createColumnsFromPanelItems<ColumnType = StyledColumn | StyledMeasureColumn>(panels: Panel[], panelName: string, customPaletteColors?: Color[]): ColumnType[];
export declare function extractBoxplotBoxType(style: BoxplotWidgetStyle): "iqr" | "extremums" | "standardDeviation";
/**
 * Attach a data source to all dimensions in the panels.
 * This is to support multi-source dashboards.
 */
export declare function attachDataSourceToPanels(panels: Panel[], dataSource: JaqlDataSource): Panel[];
export declare function extractDataOptions(fusionWidgetType: FusionWidgetType, panels: Panel[], style: WidgetStyle, customPaletteColors?: Color[]): WidgetDataOptions;
