import { ChartStyleOptions, TableStyleOptions, NumericBarIndicatorStyleOptions, NumericSimpleIndicatorStyleOptions, GaugeIndicatorStyleOptions, PivotTableStyleOptions, SpaceSizes, RadiusSizes, ShadowsTypes, AlignmentTypes, WidgetStyleOptions, TextWidgetStyleOptions } from '../types';
import { WidgetSubtype, FusionWidgetType, TableWidgetStyle, IndicatorWidgetStyle, PivotWidgetStyle, WidgetDesign, WidgetDto } from './types';
export declare function extractTableChartStyleOptions(widgetStyle: TableWidgetStyle): TableStyleOptions;
export declare const getIndicatorTypeSpecificOptions: (widgetSubtype: WidgetSubtype, widgetStyle: IndicatorWidgetStyle) => NumericSimpleIndicatorStyleOptions | NumericBarIndicatorStyleOptions | GaugeIndicatorStyleOptions;
export declare function extractPivotTableStyleOptions(widgetStyle: PivotWidgetStyle): PivotTableStyleOptions;
export declare function extractStyleOptions<WType extends FusionWidgetType>(widgetType: WType, widget: WidgetDto): ChartStyleOptions | TableStyleOptions | TextWidgetStyleOptions;
export declare const getFlattenWidgetDesign: (widgetDesign: WidgetDesign) => {
    backgroundColor: string;
    spaceAround: SpaceSizes;
    cornerRadius: RadiusSizes;
    shadow: ShadowsTypes;
    border: boolean;
    borderColor: string;
    header: {
        titleTextColor: string;
        titleAlignment: AlignmentTypes;
        dividerLine: boolean;
        dividerLineColor: string;
        backgroundColor: string;
    };
};
/**
 * Merges the widget style with the widget design
 *
 * @param widgetStyle - The widget style
 * @param widgetDesign - The widget design
 * @param isWidgetDesignStyleEnabled - The flag to enable the widget design style
 * @returns The merged widget style
 */
export declare function getStyleWithWidgetDesign(widgetStyle: ChartStyleOptions | TableStyleOptions | TextWidgetStyleOptions, widgetDesign?: WidgetDesign, isWidgetDesignStyleEnabled?: boolean): WidgetStyleOptions;
