import { Attribute, DataSource } from '@sisense/sdk-data';
import { Hierarchy, HierarchyId } from '../../models/hierarchy';
/**
 * Synchronizes drilldown paths with hierarchy data from a Fusion instance.
 * It loads all hierarchies provided as hierarchy IDs, and also includes any hierarchies
 * that are marked as `alwaysIncluded` in a Fusion instance.
 *
 * @internal
 */
export declare function useSyncedDrilldownPaths({ attribute, dataSource, drilldownPaths, enabled, }: {
    attribute: Attribute;
    dataSource?: DataSource;
    drilldownPaths?: (Attribute | Hierarchy | HierarchyId)[];
    enabled: boolean;
}): (Attribute | Hierarchy)[];
