import React from 'react';
import { TabberWidgetProps } from '../props';
/**
 * Tabber widget tab size
 *
 * @group TabberWidget
 * @internal
 */
export type TabSize = 'SMALL' | 'MEDIUM' | 'LARGE';
/**
 * Tabber widget tab interval
 *
 * @group TabberWidget
 * @internal
 */
export type TabInterval = 'SMALL' | 'MEDIUM' | 'LARGE';
/**
 * Tabber widget tab alignment
 *
 * @group TabberWidget
 * @internal
 */
export type TabAlignment = 'LEFT' | 'CENTER' | 'RIGHT';
/**
 * Tabber widget tab corner radius
 *
 * @group TabberWidget
 * @internal
 */
export type TabCornerRadius = 'SMALL' | 'MEDIUM' | 'LARGE' | 'NONE';
/**
 * Visual representation of a Fusion's tabber widget
 *
 * @param styleOptions
 * @param description
 * @param props
 * @constructor
 * @group TabberWidget
 * @internal
 */
export declare const TabberWidget: React.FunctionComponent<TabberWidgetProps>;
